
= 3.42.0 (2023-04-17) =
* Feature [#1672](https://github.com/insideout10/wordlift-plugin/issues/1672): Article Wrapper can be now used in API calls too by adding the `article_wrapper=true` query parameter.
* Feature [#1668](https://github.com/insideout10/wordlift-plugin/issues/1668): Brand new Dashboard for Food and Gardening Knowledge Graphs users

= 3.40.9 (2023-03-21) =
* Fix: Update WPRM support version

= 3.40.8 (2023-01-06) =
* Fix: Fix key displaying not valid.

= 3.40.7 (2023-01-05) =
* Fix: When installing WLP with a new key, we shouldn't check if the remote and local URLs match, since there's no remote URL.

= 3.40.6 (2023-01-02) =
* Fix [#1650](https://github.com/insideout10/wordlift-plugin/issues/1650): Fix synonyms not saved in classic editor.
* Fix [#1654](https://github.com/insideout10/wordlift-plugin/issues/1654): Remove count column from entity types taxonomy.
* Fix [#1651](https://github.com/insideout10/wordlift-plugin/issues/1651): Improve food kg notice.
* Fix [#1656](https://github.com/insideout10/wordlift-plugin/issues/1656): When the unsupported key is added, it now displays an error message.
* Fix [#1658](https://github.com/insideout10/wordlift-plugin/issues/1658): Fix food kg daily sync.

= 3.40.5 (2022-12-20) =
* Fix [#1646](https://github.com/insideout10/wordlift-plugin/issues/1640): Dont show local entities on match terms screen.
* Fix [#1648](https://github.com/insideout10/wordlift-plugin/issues/1648): Replace main ingredient background process with action scheduler.

= 3.40.4 (2022-12-12) =
* Fix [#1640](https://github.com/insideout10/wordlift-plugin/issues/1640): Fix php warning in food-kg module.
* Fix [#1638](https://github.com/insideout10/wordlift-plugin/issues/1638): Fix php warning in class-mentions.php.
* Feature [#1629](https://github.com/insideout10/wordlift-plugin/issues/1629): Replace background queue with action scheduler.

= 3.40.3 (2022-12-08) =
* Fix [#1631](https://github.com/insideout10/wordlift-plugin/issues/1631): Fix error on hook `wl_term_jsonld_array`

= 3.40.2 (2022-12-04) =

* Feature [#1627](https://github.com/insideout10/wordlift-plugin/issues/1627): Integrate Include/Exclude configuration with platform, this means you can now access it via Looker Studio or API.
* Feature [#1623](https://github.com/insideout10/wordlift-plugin/issues/1623): We now validate the YouTube key and avoid warning in logs.
* Fix [#1625](https://github.com/insideout10/wordlift-plugin/issues/1625): Creepy html in description has been stripped away.
* Fix [#1621](https://github.com/insideout10/wordlift-plugin/issues/1621): Say goodbye to the vocabulary page (tip: use the glossary widget in its stead).


= 3.40.1 (2022-11-18) =
* Fix: exception in JSON-LD conversion.

= 3.40.0 (2022-11-18) =
* Fix [#1605](https://github.com/insideout10/wordlift-plugin/issues/1605): API error message on Excerpt generation when using Avada builder.
* Feature [#1606](https://github.com/insideout10/wordlift-plugin/issues/1606): Integrate Avada Builder support.
* Fix [#1608](https://github.com/insideout10/wordlift-plugin/issues/1608): Avada, the post excerpt contains HTML code in the schema.
* Fix [#1610](https://github.com/insideout10/wordlift-plugin/issues/1610): URLs with accents cannot be added to sameAs.
* Fix [#1611](https://github.com/insideout10/wordlift-plugin/issues/1611): Entities in about shouldn’t be in mentions.
* Fix [#1613](https://github.com/insideout10/wordlift-plugin/issues/1613): Fix about match in post title is bogus.
* Fix [#1618](https://github.com/insideout10/wordlift-plugin/issues/1618): Display the suggested images tab only when there are suggested images.


= 3.39.1 (2022-11-02) =
* Fix: allow multiple entity types.

= 3.39.0 (2022-11-01) =
* Feature: Add support for WPML for WooCommerce for shipping methods structured data.
* Feature [#1599](https://github.com/insideout10/wordlift-plugin/issues/1599): Add alternate name to website markup.
* Feature: Configure include or exclude URLs for an easy A/B testing of SD enhancements
* Feature: API for the include/exclude module
* Feature: API for the main ingredients module

= 3.38.5 (2022-10-17) =
* Feature [#1586](https://github.com/insideout10/wordlift-plugin/issues/1586): Improvements to the Ingredients feature.
* Fix [#1594](https://github.com/insideout10/wordlift-plugin/issues/1594): Match Terms, set scope based on the connected datasets.

= 3.38.4 (2022-09-28) =
* Fix [#1582](https://github.com/insideout10/wordlift-plugin/issues/1582): Fix jsonld encoding issue.
* Feature [#1580](https://github.com/insideout10/wordlift-plugin/issues/1580): Allow editors to change main ingredient for a recipe post

= 3.38.3 (2022-09-19) =
* Fix: Change scope from `network` to `network-only` for match terms analysis.

= 3.38.1 (2022-09-13) =
* Fix: Fix scope on match terms analysis.

= 3.37.2 (2022-08-14) =

* Fix: error on JSON-LD not containing an array.
* Fix: Fix publisher element on settings screen.

= 3.37.1 (2022-08-09) =

* Fix [#1557](https://github.com/insideout10/wordlift-plugin/issues/1557): Fix entities connected via mentions.
* Fix [#1559](https://github.com/insideout10/wordlift-plugin/issues/1559): Fix term edit screen styling.

= 3.37.0 (2022-07-04) =

* Enhancements: lift recipes with main ingredients, contact us to know more.

* Fix: uri validation errors

= 3.36.1 (2022-06-22) =

* Fix: <permalink> not being expanded in Articles.

= 3.36.0 (2022-06-15) =

* Feature: Add support for ACF4SO installation.
* Fix: Fix Entity Edit link in widget.
* Fix: Fix add logo button in setup wizard.

= 3.35.8 (2022-05-24) =

* Fix: Fix Sync entity types menu.
* Fix: Update WP compatibility to 4.9 and PHP compatibility to 5.6

= 3.35.7 (2022-05-11) =

* Fix: Update wp compatibility to 6.0.

= 3.35.6 (2022-05-05) =

* Fix [#1549](https://github.com/insideout10/wordlift-plugin/issues/1549): Fix recipe maker error.

= 3.35.5 (2022-04-25) =

* Fix [#1548](https://github.com/insideout10/wordlift-plugin/issues/1548): Fix configuration endpoint.

= 3.35.4 (2022-03-30) =

* Fix [#1542](https://github.com/insideout10/wordlift-plugin/issues/1542): Recipe maker integration improvement.

= 3.35.3 (2022-03-23) =

* Fix [#1546](https://github.com/insideout10/wordlift-plugin/issues/1546): The WL Analytics settings screen is back.
* Fix [#1544](https://github.com/insideout10/wordlift-plugin/issues/1544): Fix cloud entity is annotated on published post doesnt get published on classic editor.

= 3.35.2 (2022-03-21) =

* Fix: do not set the `url` property when the values are empty.
* Fix [#1539](https://github.com/insideout10/wordlift-plugin/issues/1539): Improve the indexing of Navigator and
    Faceted Search when Googlebot visits the page.
* Fix [#1541](https://github.com/insideout10/wordlift-plugin/issues/1541): Fix draft entity not published in classic editor.

= 3.35.1 (2022-02-22) =

* Fix [#1532](https://github.com/insideout10/wordlift-plugin/issues/1532): Added ui for linked data import.

= 3.35.0 (2022-02-14) =

* Fix [#1536](https://github.com/insideout10/wordlift-plugin/issues/1536): Fix synonyms getting removed when the referenced post is updated.

= 3.34.9 (2022-02-01) =

* Fix: handle entity uri if the dataset is not present.

= 3.34.8 (2022-01-30) =

* Enhancement: add cleanup tasks to fix annotations coming from a db backup or another site, ask us if you're interested.
* Fix: handle post/term/user delete for relative item ids.

= 3.34.7 (2022-01-25) =

* Fix: middleware requests are now async, so that you don't have to wait while saving.

= 3.34.6 (2022-01-24) =

* Fix: Improve frontend performance.
* Fix: Fix editor performance issue.
* Fix: Remove warnings in plugin.

= 3.34.5 (2022-01-22) =

* Fix: Remove phpunit exception.

= 3.34.4 (2022-01-22) =

* Fix: Error in post save.

= 3.34.3 (2022-01-22) =

* Fix: Improve performance of content filter service.
* Fix: Fix entity duplication.

= 3.34.2 (2022-01-19) =

* Fix: Error in dashboard and warnings in logs.

= 3.34.1 (2022-01-19) =

* Fix: Do not break if when looking for an entity outside of the site scope.

= 3.34.0 (2022-01-12) =

* Enhancement [#1521](https://github.com/insideout10/wordlift-plugin/issues/1521): We improved performance by moving several fields (entity URI, JSON-LD hash and last sync) away from the crowded post-meta table.
* Enhancement [#1517](https://github.com/insideout10/wordlift-plugin/issues/1517): You can now prevent entities from being automatically published using a WordPress filter.
* Enhancement [#1496](https://github.com/insideout10/wordlift-plugin/issues/1496): You can now add Webhooks to send 3rd parties structured data updates.

* Fix [#1515](https://github.com/insideout10/wordlift-plugin/issues/1515): Add support for sticky posts to WordPress ontology.
* Fix [#1513](https://github.com/insideout10/wordlift-plugin/issues/1513): Be compatible with multisite users when pushing to KG.

= 3.33.8 (2021-12-21) =

* Feature [#1519](https://github.com/insideout10/wordlift-plugin/issues/1519): Added filters `wl_jsonld_term_html_output` and `wl_jsonld_post_html_output` to filter jsonld html.

= 3.33.7 (2021-12-13) =

* Enhancement [#1510](https://github.com/insideout10/wordlift-plugin/issues/1510): Add post_id attribute to navigator filter.

* Fix [#1512](https://github.com/insideout10/wordlift-plugin/issues/1512): Fix match terms background process.

= 3.33.6 (2021-12-06) =

* Enhancement [#1506](https://github.com/insideout10/wordlift-plugin/issues/1506): Autocomplete feature for match terms.
* Enhancement [#1496](https://github.com/insideout10/wordlift-plugin/issues/1496): Add Webhooks support to send 3rd parties structured data updates.

* Fix [#1493](https://github.com/insideout10/wordlift-plugin/issues/1493): Synonyms filter to strip html code from synonym.


= 3.33.5 (2021-11-15) =

* Fix [#1499](https://github.com/insideout10/wordlift-plugin/issues/1499): Fix shippingRate.name property on jsonld to use custom title set by user.
* Fix [#1501](https://github.com/insideout10/wordlift-plugin/issues/1501): Added a filter for post content for post excerpt feature.

= 3.33.4 (2021-11-02) =

* Fix [#1493](https://github.com/insideout10/wordlift-plugin/issues/1493): Synonyms filter to strip html code from synonym.
* Fix [#689](https://github.com/insideout10/wordlift-plugin/issues/689): Embedded image attachment support.

= 3.33.3 (2021-10-19) =

* Fix [#1488](https://github.com/insideout10/wordlift-plugin/issues/1488): Fix duplicate entities should not be created when entity id is invalid.

= 3.33.2 (2021-10-13) =

* Fix [#1476](https://github.com/insideout10/wordlift-plugin/issues/1476): Fix for Overlapping tiles on VideoObject modal window
* Fix [#1482](https://github.com/insideout10/wordlift-plugin/issues/1482): Fix for Link Service factory Should use inverted condition.
* Fix [#1483](https://github.com/insideout10/wordlift-plugin/issues/1483): WordLift setup, skip language input.
* Fix [#1486](https://github.com/insideout10/wordlift-plugin/issues/1486): Entity duplication in vocabulary.

= 3.33.1 (2021-09-21) =

* Fix [#1473](https://github.com/insideout10/wordlift-plugin/pull/1473): Allow `Wl_Abstract_Metabox` field class to use global instances
* Fix [#1472](https://github.com/insideout10/wordlift-plugin/issues/1472): Remove duplicated HowTo markup from jsonld.

= 3.33.0 (2021-09-16) =

* Enhancement [#1466](https://github.com/insideout10/wordlift-plugin/issues/1466): Use WordPress languages in settings screen
* Enhancement [#1463](https://github.com/insideout10/wordlift-plugin/issues/1463): Support for visual editors / html output for WordPress annotations

* Fix [#1455](https://github.com/insideout10/wordlift-plugin/pull/1455): Fix/issues discovered in static code analysis
* Fix [#1468](https://github.com/insideout10/wordlift-plugin/issues/1468): Improve the Top Entities query

= 3.32.6 (2021-08-23) =

* Enhancement [#1461](https://github.com/insideout10/wordlift-plugin/issues/1461): Add the author.url property

= 3.32.5 (2021-08-10) =

* Fix [#1459](https://github.com/insideout10/wordlift-plugin/issues/1459): Term entity fields not appearing on CPT or custom taxonomies.

= 3.32.4 (2021-08-04) =

* Fix [#1456](https://github.com/insideout10/wordlift-plugin/issues/1456): Analysis Exclude doesnt work when the cloud entity is returned with sameAs referring to local entity

= 3.32.3 (2021-08-02) =

* Enhancement [#1444](https://github.com/insideout10/wordlift-plugin/issues/1444): Add terms as mentions to the Article
* Enhancement [#1434](https://github.com/insideout10/wordlift-plugin/issues/1434): Restrict entity types by the subscription

* Fix [#1446](https://github.com/insideout10/wordlift-plugin/issues/1446): Hide entity field on term page by default
* Fix [#1442](https://github.com/insideout10/wordlift-plugin/issues/1442): WordLift Plugin, Automatic Summarization, shortcode stripping

= 3.32.2 (2021-07-23) =

* Fix: Videoobject fix embedded videos with jw player
* Fix: `wpml_get_language_information` compatibility
* Fix: Support for legacy references in post to jsonld converter

= 3.32.1 (2021-07-23) =

* Fix: Term jsonld service

= 3.32.0 (2021-07-20) =

* Enhancement [#1425](https://github.com/insideout10/wordlift-plugin/issues/1425): Videoobject support for JW Player
* Enhancement [#1420](https://github.com/insideout10/wordlift-plugin/issues/1420): Should not add VideoObject if it is a descendant of article
* Enhancement [#1418](https://github.com/insideout10/wordlift-plugin/issues/1418): Support for different Youtube URL formats on VideoObject
* Enhancement [#1415](https://github.com/insideout10/wordlift-plugin/issues/1415): Faceted search title pill HTML strip tags
* Enhancement [#1406](https://github.com/insideout10/wordlift-plugin/issues/1406): No Vocabulary, make terms 1st class entities
* Enhancement [#1378](https://github.com/insideout10/wordlift-plugin/issues/1378): Support for [Embed] shortcode videoobject

* Fix [#1429](https://github.com/insideout10/wordlift-plugin/issues/1429): When the entity type is switching to only "Article" then we should erase all the synonyms
* Fix [#1423](https://github.com/insideout10/wordlift-plugin/issues/1423): Search Keywords settings screen yielding an error.
* Fix [#1377](https://github.com/insideout10/wordlift-plugin/issues/1377): Restore mapping link doesnt work

= 3.31.7 (2021-06-30) =

* Fix [#1410](https://github.com/insideout10/wordlift-plugin/issues/1410): Prevent videoobject duplication in article
* Fix [#1409](https://github.com/insideout10/wordlift-plugin/pull/1409): Synonym fix
* Fix [#1405](https://github.com/insideout10/wordlift-plugin/pull/1405): Fix delete hook

= 3.31.6 (2021-06-15) =

* Enhancement [#1399](https://github.com/insideout10/wordlift-plugin/issues/1399): Videoobject sitemap - Enable on all custom post types
* Enhancement [#1393](https://github.com/insideout10/wordlift-plugin/issues/1393): Add endpoint to configure WLP

* Fix [#1402](https://github.com/insideout10/wordlift-plugin/issues/1402): Trash entity - should remove entity from KG


= 3.31.5 (2021-06-08) =

* Fix [#1395](https://github.com/insideout10/wordlift-plugin/issues/1395): Add entity not working on classic editor block in the block editor
* Fix [#1390](https://github.com/insideout10/wordlift-plugin/issues/1390): Use the first available synonym for Entity Cloud shortcode
* Fix [#1381](https://github.com/insideout10/wordlift-plugin/issues/1381): Add mentions property to connect the VideoObject to the main entity of the page
* Fix: Add post_id param to `wl_videoobject_embedded_videos` filter
* Fix: Stop calls to /keywords api

= 3.31.4 (2021-06-01) =

* Enhancement: Added `wl_videoobject_procedure_post_types` and `wl_videoobject_embedded_videos` filters

* Fix [#1384](https://github.com/insideout10/wordlift-plugin/issues/1384): HTML entities encoded in faceted search title
* Fix [#1382](https://github.com/insideout10/wordlift-plugin/issues/1382): Bulk import of videoobject issue in 4.7.0
* Fix: a11y error : no space between attributes
* Fix: Vocabulary endpoint to use `WL_CONFIG_WORDLIFT_API_URL_DEFAULT_VALUE` constant
* Fix: Trigger `wl_required_property` filter in `after_setup_theme` action

= 3.31.3 (2021-05-19) =

* Fix: wl-video-sitemap.xml has a 404 http code

= 3.31.2 (2021-05-18) =

* Enhancement [#1368](https://github.com/insideout10/wordlift-plugin/issues/1368): Add the matched entity markup to the term page

* Fix [#1372](https://github.com/insideout10/wordlift-plugin/issues/1372): Do not output empty keys in video object sitemap
* Fix [#1365](https://github.com/insideout10/wordlift-plugin/issues/1365): wl_post_jsonld_array and wl_post_jsonld filters are called by Article wrapper receiving properties meant for the original entity.
* Fix [#1364](https://github.com/insideout10/wordlift-plugin/issues/1364): Synonyms do not show for CPTs that do not support custom-fields

= 3.31.1 (2021-05-11) =

* Fix [#1353](https://github.com/insideout10/wordlift-plugin/issues/1353): Manual annotation in classic editor block inside block editor not working

= 3.31.0 (2021-05-10) =

* Enhancement [#1354](https://github.com/insideout10/wordlift-plugin/issues/1354): Add filter for filler posts in faceted search
* Enhancement [#1352](https://github.com/insideout10/wordlift-plugin/issues/1352): Add support for wikidata entities in novocabulary
* Enhancement [#1344](https://github.com/insideout10/wordlift-plugin/issues/1344): Add support for video object
* Enhancement [#1342](https://github.com/insideout10/wordlift-plugin/issues/1342): Add support for Offer Shipping Details in SD; add compatibility with WPSSO Core, WPSSO Schema JSON-LD Markup and WPSSO Shipping Delivery Time for WooCommerce
* Enhancement [#1341](https://github.com/insideout10/wordlift-plugin/issues/1341): Align Faceted Search appearance on AMP

* Fix [#1353](https://github.com/insideout10/wordlift-plugin/issues/1353): Manual annotation in classic editor block inside block editor not working

= 3.30.1 (2021-04-14) =

Fix: Exclude sitemap creation for wl_entity_type taxonomy in Yoast

= 3.30.0 (2021-04-09) =

* Enhancement [#1334](https://github.com/insideout10/wordlift-plugin/issues/1334): Add html source to KG
* Enhancement [#1329](https://github.com/insideout10/wordlift-plugin/issues/1329): Enhance hook to clear data cache
* Enhancement [#1164](https://github.com/insideout10/wordlift-plugin/issues/1164): Remove wl_entity_type taxonomy URLs
* Enhancement [#1131](https://github.com/insideout10/wordlift-plugin/issues/1131): Entity URLs in sitemaps
* Enhancement [#940](https://github.com/insideout10/wordlift-plugin/issues/940): No vocabulary - Terms

* Fix [#1326](https://github.com/insideout10/wordlift-plugin/issues/1326): Issues when annotating an entity from the add entity search lookup results
* Fix [#1309](https://github.com/insideout10/wordlift-plugin/issues/1309): Compatibility with Grammarly
* Fix: Data not pushed to KG during import

= 3.29.1 (2021-03-19) =

* Enhancement [#1320](https://github.com/insideout10/wordlift-plugin/issues/1320): Add filter to add required properties for expanding
* Enhancement [#1311](https://github.com/insideout10/wordlift-plugin/issues/1311): Entities support for other core blocks
* Enhancement: Add filter wl_feature__enable__metabox-sameas for SameAs meta boxes

* Fix [#1319](https://github.com/insideout10/wordlift-plugin/issues/1319): Delete (Trash) button not working on mappings screen
* Fix [#1318](https://github.com/insideout10/wordlift-plugin/issues/1318): Author references needed to be expanded for article wrapper
* Fix [#1307](https://github.com/insideout10/wordlift-plugin/issues/1307): inLanguage property must follow bcp47 conventions
* Fix [#1300](https://github.com/insideout10/wordlift-plugin/issues/1300): Invalid Key error message persists even after saving a valid key
* Fix [#1290](https://github.com/insideout10/wordlift-plugin/issues/1290): Classifications suggestions disappear when manually adding Entity in classic editor

= 3.29.0 (2021-03-04) =

* Enhancement [#1208](https://github.com/insideout10/wordlift-plugin/issues/1208): SameAs UI upgrade
* Enhancement [#1187](https://github.com/insideout10/wordlift-plugin/issues/1187): Improve the speed of Sync_Service->next()
* Enhancement: Added / updated schema types from schema.org
* Enhancement: Linking to Rich Results Test tool

* Fix [#1305](https://github.com/insideout10/wordlift-plugin/issues/1305): Sub-entities from analysis creating duplicate entities
* Fix [#1304](https://github.com/insideout10/wordlift-plugin/issues/1304): Manual entity creation issues in block editor
* Fix [#1299](https://github.com/insideout10/wordlift-plugin/issues/1299): JSON-LD cache not cleared
* Fix [#1288](https://github.com/insideout10/wordlift-plugin/issues/1288): Cloud icons do not show in Firefox
* Fix [#1278](https://github.com/insideout10/wordlift-plugin/issues/1278): Download Dataset links not working anymore
* Fix [#1277](https://github.com/insideout10/wordlift-plugin/issues/1277): Triples count is zero
* Fix [#1264](https://github.com/insideout10/wordlift-plugin/issues/1264): Add Entity, Selection is Lost when changing the label
* Fix: No JSON-ld on term pages

= 3.28.1 (2021-02-10) =
* Enhancement [#1226](https://github.com/insideout10/wordlift-plugin/issues/1226): Improve Navigator and Faceted Search tracking mechanism
* Enhancement [#1273](https://github.com/insideout10/wordlift-plugin/issues/1273): SameAs should be disabled if there is no active subscription

* Fix: Context card text is out of the preview-box, line breaking

= 3.28.0 (2021-02-02) =
* Enhancement [#1267](https://github.com/insideout10/wordlift-plugin/issues/1267): Add a JS filter in WLP to hide/show create post
* Enhancement [#1250](https://github.com/insideout10/wordlift-plugin/issues/1250): Support srcset / higher quality images in navigator and faceted search
* Enhancement [#1241](https://github.com/insideout10/wordlift-plugin/issues/1241): Wrap entities in Article markup
* Enhancement [#1138](https://github.com/insideout10/wordlift-plugin/issues/1138): Image sizes for Faceted, Navigator - dont scale images at the moment
* Enhancement [#1017](https://github.com/insideout10/wordlift-plugin/issues/1017): sameAs validation and bulk fix task on plugin install / upgrade

* Fix [#1276](https://github.com/insideout10/wordlift-plugin/issues/1276): Create button missing when manually creating entity in classic editor
* Fix [#1274](https://github.com/insideout10/wordlift-plugin/issues/1274): Entity URI and sameAs query slow on large properties
* Fix [#1269](https://github.com/insideout10/wordlift-plugin/issues/1269): Key marked as invalid on multisite subsites
* Fix [#1266](https://github.com/insideout10/wordlift-plugin/issues/1266): Product navigator displays only one product when one is marked up on the page
* Fix [#1220](https://github.com/insideout10/wordlift-plugin/issues/1220): When matching entities manually success message is always “Entity created”

= 3.27.8 (2021-01-18) =

* Enhancement [1248](https://github.com/insideout10/wordlift-plugin/issues/1248): Add a error message in Dashboard when key isn't valid
* Enhancement [1236](https://github.com/insideout10/wordlift-plugin/issues/1236): Navigator and Faceted search with async loaded template
* Enhancement [1211](https://github.com/insideout10/wordlift-plugin/issues/1211): [Navigator enhancement] Navigator template being crawled
* Enhancement [1197](https://github.com/insideout10/wordlift-plugin/issues/1197): Enhance filters in Navigator and Faceted Search
* Enhancement [1060](https://github.com/insideout10/wordlift-plugin/issues/1060): Allow the Navigator and Faceted Search to lazyload

* Fix [#1257](https://github.com/insideout10/wordlift-plugin/issues/1257): Undefined index: action in wordlift_shortcode_navigator.php on line 393
* Fix [#1254](https://github.com/insideout10/wordlift-plugin/issues/1254): In Classification Box use Cloud icon also for Wikidata entities
* Fix [#1245](https://github.com/insideout10/wordlift-plugin/issues/1245): Summarizer removes spaces.
* Fix [#1216](https://github.com/insideout10/wordlift-plugin/issues/1216): Faceted Widget div html attributes not escaped

= 3.27.7.3 (2021-01-05) =

* Fix [#1247](https://github.com/insideout10/wordlift-plugin/issues/1247): Wordlift_Key_Validation_Service->validate_key() is not taking into consideration URL filters
* Fix: Valid Key call doesn't use filtered home_url
* Fix: Handling getSelectedBlock() null in block editor
* Fix: Filter unknown empty entities from jsonld type

= 3.27.7.2 (2020-12-24) =

* Fix [#1231](https://github.com/insideout10/wordlift-plugin/issues/1231): Navigator not returning any post
* Fix: Entities being created as 'inherit'
* Fix: Add hebrew among the supported languages
* Fix: Remote entities not being pushed for legacy platform

= 3.27.7.1 (2020-12-15) =

* Fix: Blockeditor in WP 5.6 crashes with Yoast activated

= 3.27.7 (2020-12-15) =

* Enhancement [#1214](https://github.com/insideout10/wordlift-plugin/issues/1214): get_top_entities in class-wordlift-admin-dashboard-v2.php takes more than 10 secs.
* Enhancement [#1212](https://github.com/insideout10/wordlift-plugin/issues/1212): 1st release of the features system
* Enhancement [#1207](https://github.com/insideout10/wordlift-plugin/issues/1207): Occupation mainEntityOfPage cannot be a single URL
* Enhancement [#1189](https://github.com/insideout10/wordlift-plugin/issues/1189): Add a link to the GitHub repo in plugin's readme file
* Enhancement [#1137](https://github.com/insideout10/wordlift-plugin/issues/1137): Faceted search hook

* Fix [#1215](https://github.com/insideout10/wordlift-plugin/issues/1215): entityrank API calls raise errors
* Fix [#1210](https://github.com/insideout10/wordlift-plugin/issues/1210): PHP Deprecated: implode(): Passing glue string after array is deprecated.
* Fix [#1201](https://github.com/insideout10/wordlift-plugin/issues/1201): Notice triggered by the wl_enabled_blocks handle
* Fix [#1195](https://github.com/insideout10/wordlift-plugin/issues/1195): permission_callback needs to be supplied for every rest endpoint registration in 5.5.0
* Fix [#1193](https://github.com/insideout10/wordlift-plugin/issues/1193): sameAs metabox in post edit screen should only accept URLs

= 3.27.6.3 (2020-12-07) =

* Fix: Entities not being saved online.
* Fix: Remove language check for post excerpt

= 3.27.6.2 (2020-11-23) =

* Fix [#1209](https://github.com/insideout10/wordlift-plugin/issues/1209): wl-setup screen throws error when E-commerce SEO by WordLift is activated.

= 3.27.6.1 (2020-11-17) =

* Fix: Navigator Block not registered in block editor.

= 3.27.6 (2020-11-12) =

* Enhancement [#1178](https://github.com/insideout10/wordlift-plugin/issues/1178): Local entities to show in the WL plugin panel if no key provided or cannot reach API.
* Enhancement [#1174](https://github.com/insideout10/wordlift-plugin/issues/1174): Filters for WordLift for WooCommerce.
* Enhancement [#1155](https://github.com/insideout10/wordlift-plugin/issues/1155): Hook to clear data cache.

* Fix [#1188](https://github.com/insideout10/wordlift-plugin/issues/1188): Error doing the wizard if it is stopped on asking license.
* Fix [#1183](https://github.com/insideout10/wordlift-plugin/issues/1183): Faceted Search widget empty on Safari.
* Fix [#1182](https://github.com/insideout10/wordlift-plugin/issues/1182): Term filter not working correctly for mappings.
* Fix [#1181](https://github.com/insideout10/wordlift-plugin/issues/1181): By default, sort results by date descending in Faceted Search widget.
* Fix [#1070](https://github.com/insideout10/wordlift-plugin/issues/1070): "&nbsp;" appears in the summary ... with some articles.
* Fix [#1165](https://github.com/insideout10/wordlift-plugin/issues/1165): Fix error on logs.

= 3.27.5 (2020-10-09) =

* Fix: Remove outdated SSL CA

= 3.27.4 (2020-09-21) =

* Enhancement [#1162](https://github.com/insideout10/wordlift-plugin/issues/1162): Optimizations in loading wordlift-cloud.js and other JS files.
* Enhancement [#1104](https://github.com/insideout10/wordlift-plugin/issues/1104): Cut off FAQ markup on the suggested entities.
* Enhancement [#1075](https://github.com/insideout10/wordlift-plugin/issues/1075): Taxonomy filter improvement.

= 3.27.3 (2020-09-14) =

* Enhancement [#1153](https://github.com/insideout10/wordlift-plugin/issues/1153): Display the icon also for local entities that have a sameAs referring to the remote dataset.

* Fix [#1154](https://github.com/insideout10/wordlift-plugin/issues/1154): Address as always required in relationships of relationships.

= 3.27.2 (2020-09-01) =

* Enhancement [1150](https://github.com/insideout10/wordlift-plugin/issues/1150): Faceted Search Widget Improvement: Display the first synonym when an entity has been created from an already existing page or post.
* Enhancement [1149](https://github.com/insideout10/wordlift-plugin/issues/1149): Use WP's provided featured image for publisher when the local image isn't available.
* Enhancement [1141](https://github.com/insideout10/wordlift-plugin/issues/1141): Further WP Recipe Maker integrations.
* Enhancement [1140](https://github.com/insideout10/wordlift-plugin/issues/1140): Add properties to Article JSON-LD.

* Fix [#1148](https://github.com/insideout10/wordlift-plugin/issues/1148): wp-json/wordlift/v1/jsonld/meta/wl_schema_url is returning jsonld.
* Fix [#1146](https://github.com/insideout10/wordlift-plugin/issues/1146): Gallery block crashes when you click on caption.

= 3.27.1 (2020-08-21) =

* Enhancement [#1124](https://github.com/insideout10/wordlift-plugin/issues/1124): Context card UI enhancements.
* Enhancement [#1121](https://github.com/insideout10/wordlift-plugin/issues/1121): Integrate with WP Recipe Maker JSON-LD.
* Enhancement [#1118](https://github.com/insideout10/wordlift-plugin/issues/1118): Add a client-side hook to allow customization of the Cloud icon in Content Analysis box.
* Enhancement [#1108](https://github.com/insideout10/wordlift-plugin/issues/1108): Add a Post Id to Entity transform function.

* Fix [#1134](https://github.com/insideout10/wordlift-plugin/issues/1134): Use get_permalink (not get_post_permalink) to get the permalink.
* Fix [#1122](https://github.com/insideout10/wordlift-plugin/issues/1122): JavaScript error when clicking on Optimize in Media Library with EWWW.
* Fix [#1117](https://github.com/insideout10/wordlift-plugin/issues/1117): Cancel button not working when trying to manually add an entity.
* Fix [#1111](https://github.com/insideout10/wordlift-plugin/issues/1111): Relationships of Relationships not expanded in Mappings.
* Fix [#1109](https://github.com/insideout10/wordlift-plugin/issues/1109): Acf group empty values should not be published.
* Fix [#1085](https://github.com/insideout10/wordlift-plugin/issues/1085): Setup screen fails when WPML 3.9 is installed.

= 3.27.0 (2020-08-03) =
* Enhancement [#1103](https://github.com/insideout10/wordlift-plugin/issues/1103): Faceted Search chips UI fix.
* Enhancement [#1096](https://github.com/insideout10/wordlift-plugin/issues/1096): Glossary Widget: If the post is not of type entity, use the first available synonym if it exists.
* Enhancement [#1076](https://github.com/insideout10/wordlift-plugin/issues/1076): Products' Navigator.
* Enhancement [#1075](https://github.com/insideout10/wordlift-plugin/issues/1075): Taxonomy Terms Mappings support type.
* Enhancement [#1061](https://github.com/insideout10/wordlift-plugin/issues/1061): Improve how widgets are presented in Gutenberg.
* Enhancement [#1046](https://github.com/insideout10/wordlift-plugin/issues/1046): Add Hooks to customize Context Cards template type.
* Enhancement [#1043](https://github.com/insideout10/wordlift-plugin/issues/1043): Remove the Publisher logo from Context Cards unless we are using data from a different website.
* Enhancement [#939](https://github.com/insideout10/wordlift-plugin/issues/939): Recipes properties' not displayed with Gutenberg.
* Enhancement [#803](https://github.com/insideout10/wordlift-plugin/issues/803): Revise Recipes Structured Data according to Google's update.

* Fix [#1098](https://github.com/insideout10/wordlift-plugin/issues/1098): Entities saved from Block Editor have no slug.

= 3.26.3 (2020-07-13) =
* Fix: Categories not displaying the related entity data.
* Fix: ItemListElement in jsonld does not have URL in WooCommerce products.

= 3.26.2 (2020-07-07) =
* Fix: Show local entities on post edit screen.
* Fix: Context Cards JS graceful handling.

= 3.26.1 (2020-06-29) =
* Enhancement [#1089](https://github.com/insideout10/wordlift-plugin/issues/1089): Faceted search follow-up enhancements and fixes.

* Fix [#1074](https://github.com/insideout10/wordlift-plugin/issues/1074): Fixing local entity save on category page.
* Fix [#1045](https://github.com/insideout10/wordlift-plugin/issues/1045): Fix for link switch isn't on when linking to an entity is on by default.
* Fix [#1039](https://github.com/insideout10/wordlift-plugin/issues/1039): Fix for manually annotating entity fails in classic editor block.

= 3.26.0 (2020-06-25) =
* Enhancement [#1072](https://github.com/insideout10/wordlift-plugin/issues/1072): Add end-point to find JSON-LD by meta for both categories and posts.
* Enhancement [#1059](https://github.com/insideout10/wordlift-plugin/issues/1059): Add NewsArticle term to posts output as Article.
* Enhancement [#1056](https://github.com/insideout10/wordlift-plugin/issues/1056): Adding filter to assign default entity type based on post type.
* Enhancement [#1048](https://github.com/insideout10/wordlift-plugin/issues/1048): Set default entity type to product for products
* Enhancement [#1029](https://github.com/insideout10/wordlift-plugin/issues/1029): Adding jsonld support for collection pages.
* Enhancement [#1027](https://github.com/insideout10/wordlift-plugin/issues/1027): Adding support for Wordpress 5.4.
* Enhancement [#1016](https://github.com/insideout10/wordlift-plugin/issues/1016): Context Cards should display referenced entity data when Entity Redirect is active.
* Enhancement [#980](https://github.com/insideout10/wordlift-plugin/issues/980): Improving schema.org:description for websites using BERT extractive summarization.
* Enhancement [#938](https://github.com/insideout10/wordlift-plugin/issues/938): Add support for CollectionPage on taxonomy pages, tags and categories.
* Enhancement [#381](https://github.com/insideout10/wordlift-plugin/issues/381): Faceted widget UI refresh.

* Fix [#1078](https://github.com/insideout10/wordlift-plugin/issues/1078): Fixing backslash removed on post save bug.

= 3.25.6 (2020-06-02) =
* Fix: Mapping ui bug which doesnt show the terms when a taxonomy is chosen.
* Fix: Preventing null output on the jsonld generated by mappings.
* Fix: Only process valid post types.
* Fix: Version specific handling of term.js in term adapter.

= 3.25.5.1 (2020-06-02) =
* Fix: update certificate bundle.

= 3.25.5 (2020-05-28) =
* Enhancement [#1052](https://github.com/insideout10/wordlift-plugin/issues/1052): Add support for ACF repeater in mappings.
* Enhancement [#1051](https://github.com/insideout10/wordlift-plugin/issues/1051): Add support for nested properties in mappings.
* Enhancement [#1050](https://github.com/insideout10/wordlift-plugin/issues/1050): Add a JSON-LD end-point to retrieve entities by post meta.
* Enhancement [#91](https://github.com/insideout10/wordlift-plugin/issues/91): Adding https://schema.org/Product.

* Fix [#1049](https://github.com/insideout10/wordlift-plugin/issues/1049): JSON-LD http route ignored.

= 3.25.4 (2020-04-07) =
* Enhancement [#1027](https://github.com/insideout10/wordlift-plugin/issues/1027): Adding support for Wordpress 5.4.

* Fix: entity type set to thing for cloud entities.
* Fix: geo-coordinates not imported for places.

= 3.25.3 (2020-03-23) =
* Enhancement: wp-json end-point to retrieve JSON-LD by post type and slug.
* Fix: Allow synonyms on custom post types.

= 3.25.2 (2020-03-11) =
* Enhancement: Image License Compliance tool.

* Fix: Article properties missing when entity has other schema types.
* Fix [#1022](https://github.com/insideout10/wordlift-plugin/issues/1022): Unable to delete the mapping property from the edit mapping screen.
* Fix [#1021](https://github.com/insideout10/wordlift-plugin/issues/1021): GeoMap should show the current entity for entity pages.
* Fix [#1020](https://github.com/insideout10/wordlift-plugin/issues/1020): Clear out key when a duplicate web site is detected.
* Fix [#883](https://github.com/insideout10/wordlift-plugin/issues/883): Add support for streaming Leaflet tiles over HTTPS / SSL.

= 3.25.1.3 (2020-02-25) =
* Fix: synonyms may raise an error in Block Editor.

= 3.25.1.2 (2020-02-17) =
* Fix: missing sidebar button in Block Editor.

= 3.25.1.1 (2020-02-17) =
* Fix: error while saving, possible html issues.

= 3.25.1 (2020-02-15) =
* Enhancement: Print the JSON-LD in head synchronously.
* Enhancement [#1014](https://github.com/insideout10/wordlift-plugin/issues/1014): Improve the performance of GeoMap for single posts.

* Fix [#1013](https://github.com/insideout10/wordlift-plugin/issues/1013): Creating an Entity using Add New doesn't check if the entity exists locally.
* Fix [#999](https://github.com/insideout10/wordlift-plugin/issues/999): wordlift_admin_meta_box_entities raises a warning.

= 3.25.0 (2020-02-06) =
* Enhancement [#994](https://github.com/insideout10/wordlift-plugin/issues/994): Add synonyms to Block Editor.
* Enhancement [#953](https://github.com/insideout10/wordlift-plugin/issues/953): Map fields from ACF to schema.org classes.

= 3.24.4 (2020-01-29) =
* Fix [#1011](https://github.com/insideout10/wordlift-plugin/issues/1011): Wordlift_Entity_Service->count takes long time with more than 500.000 posts.
* Fix [#1009](https://github.com/insideout10/wordlift-plugin/issues/1009): Autocomplete should take also synonyms under account.
* Fix [#834](https://github.com/insideout10/wordlift-plugin/issues/834): avoid http calls to the plugins/wordlift directory.

= 3.24.3.2 (2020-01-27) =
* Fix: Content-Type to discover local entities.

= 3.24.3.1 (2020-01-27) =
* Fix: Content-Type on analysis request.

= 3.24.3 (2020-01-26) =
* Enhancement: Provide a JSON-LD end-point using the itemid.

= 3.24.2 (2020-01-26) =
* Fix: Display selected entities also when the Analysis end-point is unavailable.
* Fix [#1005](https://github.com/insideout10/wordlift-plugin/issues/1005): sameAs select in metabox in Block Editor doesn't show.
* Fix [#1004](https://github.com/insideout10/wordlift-plugin/issues/1004): Gutenberg Block issue.

= 3.24.1 (2020-01-17) =
* Fix: Wrong encoding for images in navigator.

= 3.24.0 (2020-01-17) =
* Enhancement [#969](https://github.com/insideout10/wordlift-plugin/issues/969): Turn the entity page into a topic "showcase" with a specific navigator.
* Enhancement [#934](https://github.com/insideout10/wordlift-plugin/issues/934): Display entity content within context cards.

* Fix [#987](https://github.com/insideout10/wordlift-plugin/issues/987): Remove shortcodes from schema:description.
* Fix [#985](https://github.com/insideout10/wordlift-plugin/issues/985): Empty context card.
* Fix [#963](https://github.com/insideout10/wordlift-plugin/issues/963): Descending order by default in navigator widget data.

= 3.23.7.1 (2020-01-14) =
* Fix: JavaScript error on entity.images null.

= 3.23.7 (2020-01-14) =
* Fix [#1003](https://github.com/insideout10/wordlift-plugin/issues/1003): Switching from Textual to Visual in Classic Editor messes the html.
* Fix [#1002](https://github.com/insideout10/wordlift-plugin/issues/1002): Kinsta bypassing cache for JSON-LD requests.
* Fix [#1001](https://github.com/insideout10/wordlift-plugin/issues/1001): Entities not highlighted in Classification Box.
* Fix [#997](https://github.com/insideout10/wordlift-plugin/issues/997): Cache Flush All endpoint may interfere with other endpoints when WP_DEBUG is enable.

= 3.23.6 (2020-01-03) =
* Fix [#996](https://github.com/insideout10/wordlift-plugin/issues/996): Bad Request error when running analysis.
* Fix [#995](https://github.com/insideout10/wordlift-plugin/issues/995): Unspecified Type error for existing posts.

= 3.23.5 (2019-12-27) =
* Fix [#993](https://github.com/insideout10/wordlift-plugin/issues/993): Manually annotating an entity doesn't remove existing annotations.

= 3.23.4 (2019-12-21) =
* Fix [#991](https://github.com/insideout10/wordlift-plugin/issues/991): Entity Type not set when Cloud entity is of type Other.

= 3.23.3 (2019-12-17) =
* Fix [#990](https://github.com/insideout10/wordlift-plugin/issues/990): Cloud icon appearing for local entity on Add New entity search.
* Fix [#988](https://github.com/insideout10/wordlift-plugin/issues/988): Analysis results don't show in Classic Editor on WordPress 4.9.

= 3.23.2 (2019-12-10) =
* Fix [#984](https://github.com/insideout10/wordlift-plugin/issues/984): Analysis failing on Classic Editor.

= 3.23.1 (2019-12-09) =
* Fix [#983](https://github.com/insideout10/wordlift-plugin/issues/983): Sidebar fails in Block Editor.

= 3.23.0 (2019-12-09) =
* Enhancement [#972](https://github.com/insideout10/wordlift-plugin/issues/972): Entity to Term link should check the sameAs values as well.
* Enhancement [#961](https://github.com/insideout10/wordlift-plugin/issues/961): Customizable AMP Navigator.

* Fix [#974](https://github.com/insideout10/wordlift-plugin/issues/974): Iceland Country is missing on the WL countries dropdown list.
* Fix [#971](https://github.com/insideout10/wordlift-plugin/issues/971): Automatically exclude wordlift-cloud from WP Rocket minification.
* Fix [#944](https://github.com/insideout10/wordlift-plugin/issues/944): Analysis highlights matches in the middle of words.

= 3.22.7 (2019-11-26) =
* Fix: [#979](https://github.com/insideout10/wordlift-plugin/issues/979): Unable to set Entity Type on posts.

= 3.22.6 (2019-11-25) =
* Enhancement: [#968](https://github.com/insideout10/wordlift-plugin/issues/968): Allow entities (and related media) to be published via rest.
* Enhancement: [#966](https://github.com/insideout10/wordlift-plugin/issues/966): PHP Logs Errors.
* Enhancement: [#963](https://github.com/insideout10/wordlift-plugin/issues/963): Add data filter on the navigator widget.
* Enhancement: [#962](https://github.com/insideout10/wordlift-plugin/issues/962): Adding utm tags to track clicks on the Navigator.
* Enhancement: [#959](https://github.com/insideout10/wordlift-plugin/issues/959): Context cards should be linked to the entities.
* Enhancement: [#958](https://github.com/insideout10/wordlift-plugin/issues/958): Network navigator endpoint.
* Enhancement: [#947](https://github.com/insideout10/wordlift-plugin/issues/947): Add an end-point for the WordLift Cloud.

* Fix: [#967](https://github.com/insideout10/wordlift-plugin/issues/967): Prevent Context Cards from overlapping
* Fix: [#966](https://github.com/insideout10/wordlift-plugin/issues/966): PHP logs Errors.

= 3.22.5.1 (2019-11-14) =
* Fix: [#975](https://github.com/insideout10/wordlift-plugin/issues/975): Compatibility issues with WordPress 5.3.

= 3.22.5 (2019-10-09) =
* Fix: Performance issues with Navigator on large sites.

= 3.22.4 (2019-09-19) =
* Fix: Context cards json endpoint returned null for some entities.
* Enhancement: Offset and uniqid parameter in navigator.

= 3.22.3 (2019-09-13) =
* Fix: Fix initial state of link switch in Button Drawer (Gutenberg).

= 3.22.2 (2019-09-12) =
* Fix: Button Drawer raising an error in Gutenberg.

= 3.22.1 (2019-09-12) =
* Fix: WordLift Icon missing in Gutenberg.

= 3.22.0 (2019-09-12) =
* Enhancement: [#934](https://github.com/insideout10/wordlift-plugin/issues/934): Display entity content within context cards type
* Enhancement: [#602](https://github.com/insideout10/wordlift-plugin/issues/602): Improve the Batch Analysis.
* Enhancement: [#404](https://github.com/insideout10/wordlift-plugin/issues/404): Enhanced Navigator Widget

= 3.21.4 (2019-08-28) =
* Fix: [#945](https://github.com/insideout10/wordlift-plugin/issues/945): Faceted Search results do not change when posts clicked.

= 3.21.3 (2019-08-19) =
* Enhancement: [#972](https://github.com/insideout10/wordlift-plugin/issues/972): Entity to Term link should check the sameAs values as well.

* Fix: [#943](https://github.com/insideout10/wordlift-plugin/issues/943): Faceted Search caching issues.

= 3.21.2 (2019-08-13) =
* Fix: Supporting unregisteredAttributes with attributes in Gutenberg.
* Enhancement: Additional filters for Navigator: `wl_navigator_data_post`, `wl_navigator_data_entity` and `wl_navigator_data_placeholder`.
* Enhancement: Add a caching layer to Faceted Search AJAX requests.

= 3.21.1 (2019-07-03) =
* Fix: [#932](https://github.com/insideout10/wordlift-plugin/issues/932): Remove the Analytics Settings from the Plugins screen.
* Fix: [#931](https://github.com/insideout10/wordlift-plugin/issues/931): Chrome downloads the RDF file when clicking on "View Linked Data".
* Fix: [#926](https://github.com/insideout10/wordlift-plugin/issues/926): Add a filter to disable WordLift's version output.
* Fix: [#924](https://github.com/insideout10/wordlift-plugin/issues/924): Conflict with AMPforWP Wizard installation.
* Fix: [#923](https://github.com/insideout10/wordlift-plugin/issues/923): Dashboard v2 Entity Count may consume too much memory.
* Fix: [#913](https://github.com/insideout10/wordlift-plugin/issues/913): Do not publish the local permalink if not configured.
* Fix: [#930](https://github.com/insideout10/wordlift-plugin/issues/930): WordLift text editor freezes when user has a apostrophe in the name.

= 3.21.0 (2019-06-03) =
* Enhancement: [#889](https://github.com/insideout10/wordlift-plugin/issues/889): Add Entity for Gutenberg.
* Enhancement: [#914](https://github.com/insideout10/wordlift-plugin/issues/914): Add a `can_see_wl_classification_box` filter.
* Fix: [#916](https://github.com/insideout10/wordlift-plugin/issues/916): Current entity shows in the content analysis.

= 3.20.2 (2019-05-13) =
* Fix: [#912](https://github.com/insideout10/wordlift-plugin/issues/912): Annotations cannot be selected in Gutenberg and WP 5.2.
* Fix: [#911](https://github.com/insideout10/wordlift-plugin/issues/911): Add GTM compatibility.

= 3.20.1 (2019-05-06) =
* Fix: [#908](https://github.com/insideout10/wordlift-plugin/issues/908): Entities in GA isn't working when GA is loaded via GTAG.
* Fix: [#907](https://github.com/insideout10/wordlift-plugin/issues/907): Link in Search Rankings tile do not work.
* Fix: [#906](https://github.com/insideout10/wordlift-plugin/issues/906): Search Rankings timeout after 5 secs.
* Fix: [#903](https://github.com/insideout10/wordlift-plugin/issues/903): Link switch doesn't work in classification box.

= 3.20.0 (2019-03-25) =
* Enhancement: [#894](https://github.com/insideout10/wordlift-plugin/issues/894): Push entity-related events to GA.
* Enhancement: [#892](https://github.com/insideout10/wordlift-plugin/issues/892): Write JSON-LD of local entities bound to taxonomy terms.
* Enhancement: [#887](https://github.com/insideout10/wordlift-plugin/issues/887): Add the GMT offset to dates in JSON-LD.
* Enhancement: [#882](https://github.com/insideout10/wordlift-plugin/issues/882): Add greek among the supported languages.
* Enhancement: [#881](https://github.com/insideout10/wordlift-plugin/issues/881): Polylang 2.5 plugin compatibility.
* Enhancement: [#879](https://github.com/insideout10/wordlift-plugin/issues/879): Dashboard Overhaul, Phase 1.
* Enhancement: [#868](https://github.com/insideout10/wordlift-plugin/issues/868): Remove `wlSettings` from WP Rocket inline optimization.
* Enhancement: [#867](https://github.com/insideout10/wordlift-plugin/issues/867): Faceted Search AMP.
* Enhancement: [#866](https://github.com/insideout10/wordlift-plugin/issues/866): Navigator AMP.
* Enhancement: [#861](https://github.com/insideout10/wordlift-plugin/issues/861): Arabic can be added as supported language.
* Enhancement: [#851](https://github.com/insideout10/wordlift-plugin/issues/851): add a filter to allow 3rd parties to change the TinyMCE editor id via JavaScript.
* Enhancement: [#850](https://github.com/insideout10/wordlift-plugin/issues/850): allow 3rd parties to change the site URL and post permalink.
* Enhancement: [#835](https://github.com/insideout10/wordlift-plugin/issues/835): Add the all entity types metabox.
* Enhancement: [#761](https://github.com/insideout10/wordlift-plugin/issues/761): Search Rankings dashboard page.
* Enhancement: [#728](https://github.com/insideout10/wordlift-plugin/issues/728): Gutenberg Integration.
* Enhancement: [#713](https://github.com/insideout10/wordlift-plugin/issues/713): Allow to configure the target country.

* Fix: [#901](https://github.com/insideout10/wordlift-plugin/issues/901): Script error on /wp-admin/admin.php?page=filter_urls_form&id=1.
* Fix: [#896](https://github.com/insideout10/wordlift-plugin/issues/896): AMP Validation fails with Faceted Search Widget (QA).
* Fix: [#895](https://github.com/insideout10/wordlift-plugin/issues/895): AMP validation fails with Navigator widget (QA).
* Fix: [#888](https://github.com/insideout10/wordlift-plugin/issues/888): Remove `wordCount` from `WebPage` JSON-LD.

= 3.19.6 (2019-03-05) =
* Enhancement: [#875](https://github.com/insideout10/wordlift-plugin/issues/875): Provide 16:9, 4:3 and 1:1 images also for embedded media.
* Enhancement: [#872](https://github.com/insideout10/wordlift-plugin/issues/872): Allow binding a taxonomy term to an entity.

* Fix: [#886](https://github.com/insideout10/wordlift-plugin/issues/886): Before calling `get_role` check that the role exists.
* Fix: [#870](https://github.com/insideout10/wordlift-plugin/issues/870): PHP errors: file_put_contents(/tmp) and mkdir permission denied.
* Fix: [#865](https://github.com/insideout10/wordlift-plugin/issues/865): Content Egg's angular clashes with WordLift's angular.

= 3.19.5 (2018-10-01) =
* Enhancement: [#858](https://github.com/insideout10/wordlift-plugin/issues/858): WMT and SDTT complain about wrong `@type` for `location` bound `Place`s.
* Enhancement: [#855](https://github.com/insideout10/wordlift-plugin/issues/855): Rebuild compatibility with Polylang plugin.

= 3.19.4 (2018-09-18) =
* Enhancement: [#848](https://github.com/insideout10/wordlift-plugin/issues/848): add a filter to allow 3rd parties to change the TinyMCE editor id.
* Enhancement: [#847](https://github.com/insideout10/wordlift-plugin/issues/847): add a filter to allow 3rd parties to force the classification to load.
* Enhancement: [#843](https://github.com/insideout10/wordlift-plugin/issues/843): add a window global object with WLP version.
* Enhancement: [#842](https://github.com/insideout10/wordlift-plugin/issues/842): Exclude WordLift public bundle from WP Rocket defer.
* Enhancement: [#830](https://github.com/insideout10/wordlift-plugin/issues/830): Improve image markup on AMP pages to enhance the appearance in Google Search results.
* Fix: [#846](https://github.com/insideout10/wordlift-plugin/issues/846): on deactivate ensure to delete the wl-api option.
* Fix: [#841](https://github.com/insideout10/wordlift-plugin/issues/841): UTF-8 BOM sequence in paths.

= 3.19.3 (2018-08-16) =
* Enhancement: [#839](https://github.com/insideout10/wordlift-plugin/issues/839): Add a setting to limit the scope for the Select in edit post screen.
* Enhancement: [#837](https://github.com/insideout10/wordlift-plugin/issues/837): Use 300 width images in faceted search and navigator.
* Fix: [#840](https://github.com/insideout10/wordlift-plugin/issues/840): wl-api referenced using siteurl instead of homeurl.
* Fix: [#832](https://github.com/insideout10/wordlift-plugin/issues/832): angularjs may conflict with other plugins.
* Fix: [#831](https://github.com/insideout10/wordlift-plugin/issues/831): Allow navigator on pages.
* Fix: [#699](https://github.com/insideout10/wordlift-plugin/issues/699): Font Awesome on the front-end may conflict with themes.

= 3.19.2 (2018-07-10) =
* Fix: [#825](https://github.com/insideout10/wordlift-plugin/issues/825): faceted search loads large images while it could load thumbnails.
* Fix: [#824](https://github.com/insideout10/wordlift-plugin/issues/824): LocalBusiness entity type not recognized by the AutoComplete
* Fix: [#823](https://github.com/insideout10/wordlift-plugin/issues/823): logo not available in referenced publisher.
* Fix: [#821](https://github.com/insideout10/wordlift-plugin/issues/821): wordlift-public.css is included but file empty.
* Fix: [#820](https://github.com/insideout10/wordlift-plugin/issues/820): wl-api lost when plugin deactivated and activated back again.
* Fix: [#814](https://github.com/insideout10/wordlift-plugin/issues/814): Enforce styles in TinyMCE.

= 3.19.1 (2018-06-28) =
* Enhancement: [#815](https://github.com/insideout10/wordlift-plugin/issues/815): Add wl_schemas hook.
* Enhancement: [#813](https://github.com/insideout10/wordlift-plugin/issues/813): Disable logging by default.
* Enhancement: [#671](https://github.com/insideout10/wordlift-plugin/issues/671): Add WordLift JSON-LD markup to AMP pages.
* Fix: [#819](https://github.com/insideout10/wordlift-plugin/issues/819): When a post is converted into entity, ShareThis social sharing icons are duplicated.
* Fix: [#818](https://github.com/insideout10/wordlift-plugin/issues/818): Deleted entities appear as numbers in metaboxes.

= 3.19.0 (2018-05-26) =
* Enhancement: [#801](https://github.com/insideout10/wordlift-plugin/issues/801): Using _vocabulary_ as slug conflicts with the Vocabulary archive page.
* Enhancement: [#795](https://github.com/insideout10/wordlift-plugin/issues/795): Display latest blog posts from our Website.
* Enhancement: [#787](https://github.com/insideout10/wordlift-plugin/issues/787): Add schema:recipeInstructions and schema:recipeYield to the linked dataset.
* Enhancement: [#786](https://github.com/insideout10/wordlift-plugin/issues/786): Add schema:name and schema:alternateName to linked dataset.
* Enhancement: [#767](https://github.com/insideout10/wordlift-plugin/issues/767): Develop a mechanism to get feedback after deactivation of the plugin.
* Enhancement: [#597](https://github.com/insideout10/wordlift-plugin/issues/597): Publisher's Logo width and height.

= 3.18.6 (2018-05-26) =
* Enhancement: [#467](https://github.com/insideout10/wordlift-plugin/issues/467): Manually select an entity.
* Fix: [#806](https://github.com/insideout10/wordlift-plugin/issues/806): Image in JSON-LD is null.

= 3.18.5 (2018-05-25) =
* Fix: [#810](https://github.com/insideout10/wordlift-plugin/issues/810): SDTT doesn't load or parse the JSON-LD.

= 3.18.4 (2018-05-23) =
* Fix: [#808](https://github.com/insideout10/wordlift-plugin/issues/808): JSON-LD returning null elements.

= 3.18.3 (2018-04-23) =
* Fix: [#802](https://github.com/insideout10/wordlift-plugin/issues/802): Use set user language (user locale) as base for WordLift translations in backend.
* Fix: [#800](https://github.com/insideout10/wordlift-plugin/issues/800): Use wl-api instead of wp-admin/admin-ajax.php for json-ld calls.
* Fix: [#797](https://github.com/insideout10/wordlift-plugin/issues/797): Assign the default Article taxonomy term to existing posts.
* Fix: [#794](https://github.com/insideout10/wordlift-plugin/issues/794): Vocabulary only shows # and A.
* Fix: [#793](https://github.com/insideout10/wordlift-plugin/issues/793): HTML encoded entities in JSON-LD.
* Fix: [#792](https://github.com/insideout10/wordlift-plugin/issues/792): WordLift enqueues a custom jQuery UI CSS.
* Fix: [#791](https://github.com/insideout10/wordlift-plugin/issues/791): Notice on Vocabulary Menu.
* Fix: [#790](https://github.com/insideout10/wordlift-plugin/issues/790): Two glossary widgets on the same page are not working as expected.

= 3.18.2 (2018-03-28) =
* Enhancement: [#788](https://github.com/insideout10/wordlift-plugin/issues/788): Add hook to `save_form_data` for wl metaboxes.
* Fix: [#789](https://github.com/insideout10/wordlift-plugin/issues/789): Entities set to draft when associated articles or entities are set to draft.
* Fix: [#778](https://github.com/insideout10/wordlift-plugin/issues/778): Vocabulary Shortcode doesn't sort alphabetically.

= 3.18.1 (2018-03-27) =
* Fix: [#785](https://github.com/insideout10/wordlift-plugin/issues/785): Entity properties: Adding additional sameAs creates readonly input field.
* Fix: [#784](https://github.com/insideout10/wordlift-plugin/issues/784): Accents not showing up properly on setup wizard.
* Fix: [#783](https://github.com/insideout10/wordlift-plugin/issues/783): Navigator garbled on mobile views.
* Fix: [#782](https://github.com/insideout10/wordlift-plugin/issues/782): Nested spans when using shift + return.
* Fix: [#780](https://github.com/insideout10/wordlift-plugin/issues/780): Missing colons cause issue with minifier.
* Fix: [#779](https://github.com/insideout10/wordlift-plugin/issues/779): Remove logger from `Wordlift_Install`.

= 3.18.0 (2018-03-20) =
* Enhancement: [#772](https://github.com/insideout10/wordlift-plugin/issues/772): Vocabulary Widget: allow entity grouping by category.
* Enhancement: [#771](https://github.com/insideout10/wordlift-plugin/issues/771): Allow markup in text annotations.
* Enhancement: [#770](https://github.com/insideout10/wordlift-plugin/issues/770): Autocomplete field: `urldecode` entity permalinks from dbpedia.
* Enhancement: [#769](https://github.com/insideout10/wordlift-plugin/issues/769): Move `wl_insert_triples` at the end of `get_insert_triples`.
* Enhancement: [#768](https://github.com/insideout10/wordlift-plugin/issues/768): Refactor `wordlift_core_install.php`.
* Enhancement: [#760](https://github.com/insideout10/wordlift-plugin/issues/760): Add a reference to the articles being annotated with an entity in the rdf graph.
* Enhancement: [#759](https://github.com/insideout10/wordlift-plugin/issues/759): Add support for offers and performer on entities type Event.
* Enhancement: [#757](https://github.com/insideout10/wordlift-plugin/issues/757): PHP 7.2 compatibility.
* Enhancement: [#715](https://github.com/insideout10/wordlift-plugin/issues/715): Image storage strategy.
* Enhancement: [#634](https://github.com/insideout10/wordlift-plugin/issues/634): Add bulgarian translations.
* Enhancement: [#325](https://github.com/insideout10/wordlift-plugin/issues/325): Disable importing SVGs from analysis.
* Fix: [#777](https://github.com/insideout10/wordlift-plugin/issues/777): WordLift Entities-Box: Wrong Link in "Open in vocabulary".
* Fix: [#776](https://github.com/insideout10/wordlift-plugin/issues/776): JSON-LD generation raises a warning.
* Fix: [#774](https://github.com/insideout10/wordlift-plugin/issues/774): Changes on Author from vocabulary not updated in JSON-LD markup of existing posts.
* Fix: [#773](https://github.com/insideout10/wordlift-plugin/issues/773): PHPUnit compatibility issue with php 7.2.
* Fix: [#752](https://github.com/insideout10/wordlift-plugin/issues/752): 2nd level properties not added to the cloud dataset.
* Fix: [#702](https://github.com/insideout10/wordlift-plugin/issues/702): When a post is deleted the wl_relation_instances table isn't updated.
* Fix: [#681](https://github.com/insideout10/wordlift-plugin/issues/681): Permalink in vocabulary editor returns to editor.

= 3.17.3 (2018-02-14) =
* Fix: [#766](https://github.com/insideout10/wordlift-plugin/issues/766): Performance loss on Cache update due to `wp_set_post_lock`.

= 3.17.2 (2018-01-24) =
* Fix: [#758](https://github.com/insideout10/wordlift-plugin/issues/758): amp_post_template_css causes PHP Warning.

= 3.17.1 (2018-01-15) =
* Fix: [#756](https://github.com/insideout10/wordlift-plugin/issues/756): Analysis results corrupted when text contains a script tag.

= 3.17.0 (2018-01-15) =
* Enhancement: [#750](https://github.com/insideout10/wordlift-plugin/issues/750): Add filters to allow adding custom schema.org properties.
* Enhancement: [#726](https://github.com/insideout10/wordlift-plugin/issues/726): Set correct post types to Batch Analysis.
* Enhancement: [#724](https://github.com/insideout10/wordlift-plugin/issues/724): Batch Analysis updates train.
* Enhancement: [#723](https://github.com/insideout10/wordlift-plugin/issues/723): Batch Analysis extend link option with first only.
* Enhancement: [#722](https://github.com/insideout10/wordlift-plugin/issues/722): Batch Analysis hooks for entities added to a post.
* Enhancement: [#721](https://github.com/insideout10/wordlift-plugin/issues/721): Batch Analysis minimum occurrences filter.
* Enhancement: [#720](https://github.com/insideout10/wordlift-plugin/issues/720): Batch Analysis post submission selection filters.
* Enhancement: [#719](https://github.com/insideout10/wordlift-plugin/issues/719): Batch Analysis must set the default entity term.
* Enhancement: [#717](https://github.com/insideout10/wordlift-plugin/issues/717): AutoFix interpolation errors resulting from Batch Analysis.
* Enhancement: [#716](https://github.com/insideout10/wordlift-plugin/issues/716): Batch Analysis should invalidate caches.
* Enhancement: [#682](https://github.com/insideout10/wordlift-plugin/issues/682): Capture the web site URL.
* Enhancement: [#587](https://github.com/insideout10/wordlift-plugin/issues/587): Vocabulary Widget.
* Fix: [#743](https://github.com/insideout10/wordlift-plugin/issues/743): New permalink structure not reflected in JSON-LD.
* Fix: [#729](https://github.com/insideout10/wordlift-plugin/issues/729): Batch Analysis - Infinite loop when post content is not set.

= 3.16.5 (2018-01-08) =
* Fix: [#753](https://github.com/insideout10/wordlift-plugin/issues/753): JSON-LD doesn't show up in SDTT.

= 3.16.4 (2017-12-14) =
* Enhancement: [#739](https://github.com/insideout10/wordlift-plugin/issues/739): Change the color/background of the wizard's "grab a key" button and link it to the Pricing page.
* Enhancement: [#736](https://github.com/insideout10/wordlift-plugin/issues/736): Add an option to link only the first entity occurrence.
* Enhancement: [#735](https://github.com/insideout10/wordlift-plugin/issues/735): Remove the number of occurrences and sort by occurrences descending.
* Enhancement: [#599](https://github.com/insideout10/wordlift-plugin/issues/599): Revising the order of the proposed entities in the WordLift Edit Widget.
* Fix: [#733](https://github.com/insideout10/wordlift-plugin/issues/733): JSON-LD shouldn't load on non-entity pages.

= 3.16.3 (2017-11-28) =
* Fix: [#711](https://github.com/insideout10/wordlift-plugin/issues/711): Performance issues with content_filter.

= 3.16.2 (2017-11-23) =
* Fix: [#709](https://github.com/insideout10/wordlift-plugin/issues/709): Missing links on front-end.

= 3.16.1 (2017-11-21) =
* Fix: [#707](https://github.com/insideout10/wordlift-plugin/issues/707): Performance degrades in combination with Yoast.

= 3.16.0 (2017-11-16) =
* Enhancement: [#627](https://github.com/insideout10/wordlift-plugin/issues/627): Set minimal supported wordpress version to 4.4.
* Enhancement: [#626](https://github.com/insideout10/wordlift-plugin/issues/626): Cache JSON-LD, introduce an explicit caching layer.
* Enhancement: [#518](https://github.com/insideout10/wordlift-plugin/issues/518): Add the type when 2 or more entities have the same title.
* Enhancement: [#514](https://github.com/insideout10/wordlift-plugin/issues/514): Add the occurrences of an entity within an article by default in Content Classification.
* Enhancement: [#488](https://github.com/insideout10/wordlift-plugin/issues/488): Make Download Data more user-friendly.
* Fix: [#666](https://github.com/insideout10/wordlift-plugin/issues/666): Chord shortcode uses a non existing post status of "published".
* Fix: [#531](https://github.com/insideout10/wordlift-plugin/issues/531): When adding the second chord widget the page messes up.

= 3.15.6 (2017-11-15) =
* Fix: [#701](https://github.com/insideout10/wordlift-plugin/issues/701): Early rewrite rules flushing causes infinite loop.
* Fix: [#700](https://github.com/insideout10/wordlift-plugin/issues/700): WP live previews don't run when classification box is closed.

= 3.15.5 (2017-11-14) =
* Fix: [#698](https://github.com/insideout10/wordlift-plugin/issues/698): `flush_rewrite_rules` called at every request.

= 3.15.4 (2017-11-13) =
* Fix: [#693](https://github.com/insideout10/wordlift-plugin/issues/693): Remove requirement for mbstring.
* Fix: [#691](https://github.com/insideout10/wordlift-plugin/issues/691): Check WL compatibility with UX builder part of Flatsome themes.
* Fix: [#689](https://github.com/insideout10/wordlift-plugin/issues/689): Heavy query on image attachments.
* Fix: [#687](https://github.com/insideout10/wordlift-plugin/issues/687): Test failure with WP 4.8.3.
* Fix: [#686](https://github.com/insideout10/wordlift-plugin/issues/686): `Wordlift_Listable` flushes the cache at every post.
* Fix: [#685](https://github.com/insideout10/wordlift-plugin/issues/685): `flush_rewrite_rules_hard` causes a large number of SPARQL queries.
* Fix: [#683](https://github.com/insideout10/wordlift-plugin/issues/683): Incompatibility with Formidable Forms.

= 3.15.3 (2017-10-20) =
* Enhancement: [#670](https://github.com/insideout10/wordlift-plugin/issues/670): Allow filtering logging levels.
* Fix: [#677](https://github.com/insideout10/wordlift-plugin/issues/677): Sometimes authors are not correctly matched with their entities.
* Fix: [#676](https://github.com/insideout10/wordlift-plugin/issues/676): Entity type permalinks no longer work.
* Fix: [#674](https://github.com/insideout10/wordlift-plugin/issues/674): Improve the performance of get_entity_post_by_uri.
* Fix: [#673](https://github.com/insideout10/wordlift-plugin/issues/673): Query error on edit screen.
* Fix: [#672](https://github.com/insideout10/wordlift-plugin/issues/672): Local Business repeated twice in Create New Entity.
* Fix: [#669](https://github.com/insideout10/wordlift-plugin/issues/669): WordLift is constantly validating the key.
* Fix: [#668](https://github.com/insideout10/wordlift-plugin/issues/668): View Linked Data on a post shows a 500.
* Fix: [#667](https://github.com/insideout10/wordlift-plugin/issues/667): Hardcoded entity post types.
* Fix: [#665](https://github.com/insideout10/wordlift-plugin/issues/665): startDate and endDate are not recorded on some Events.
* Fix: [#663](https://github.com/insideout10/wordlift-plugin/issues/663): Terms query may slow down site.
* Fix: [#662](https://github.com/insideout10/wordlift-plugin/issues/662): Old articles appear in Vocabulary.

= 3.15.2 (2017-10-16) =
* Fix: [#659](https://github.com/insideout10/wordlift-plugin/issues/659): Check WL compatibility with ACF.
* Fix: [#654](https://github.com/insideout10/wordlift-plugin/issues/654): Entity Link always returning the last blog post.

= 3.15.1 (2017-10-12) =
* Enhancement: [#642](https://github.com/insideout10/wordlift-plugin/issues/642): Allow to disable JSON-LD.
* Fix: [#652](https://github.com/insideout10/wordlift-plugin/issues/652): When the user does not choose a publisher WordLift picks up the first one from the list.
* Fix: [#647](https://github.com/insideout10/wordlift-plugin/issues/647): Related posts contains duplicates.
* Fix: [#646](https://github.com/insideout10/wordlift-plugin/issues/646): Suggested images are missing after the update.
* Fix: [#644](https://github.com/insideout10/wordlift-plugin/issues/644): Entities not showing in the classification box.

= 3.15.0 (2017-10-05) =
* Enhancement: [#625](https://github.com/insideout10/wordlift-plugin/issues/625): Add a WordPress filter to allow customers to extend the post types that can be turned into entities.
* Enhancement: [#608](https://github.com/insideout10/wordlift-plugin/issues/608): Integrate the Autocomplete widget.
* Enhancement: [#607](https://github.com/insideout10/wordlift-plugin/issues/607): Autocomplete API.
* Enhancement: [#596](https://github.com/insideout10/wordlift-plugin/issues/596): Allow regular posts/pages to be entities.
* Enhancement: [#595](https://github.com/insideout10/wordlift-plugin/issues/595): Import may fail with many posts/entities.
* Enhancement: [#584](https://github.com/insideout10/wordlift-plugin/issues/584): Adding aliases as link TITLE attributes.
* Enhancement: [#583](https://github.com/insideout10/wordlift-plugin/issues/583): Add sameAs to schema.org/publisher in JSON-LD.
* Enhancement: [#574](https://github.com/insideout10/wordlift-plugin/issues/574): WL currently adds links on headings.
* Enhancement: [#493](https://github.com/insideout10/wordlift-plugin/issues/493): Prevent analysis in html tags: `button`.
* Fix: [#628](https://github.com/insideout10/wordlift-plugin/issues/628): Check the status of Content Classification in the WordLift editor.
* Fix: [#610](https://github.com/insideout10/wordlift-plugin/issues/610): Typo in xsd:dateTime.

= 3.14.7 (2017-10-03) =
* Fix: [#633](https://github.com/insideout10/wordlift-plugin/issues/633): Colon in html messes the analysis.

= 3.14.6 (2017-09-11) =
* Fix: [#613](https://github.com/insideout10/wordlift-plugin/issues/613): A slash too much for Angular geolocation library.
* Fix: [#611](https://github.com/insideout10/wordlift-plugin/issues/611): WordLift slowing down RSS feed.

= 3.14.5 (2017-08-31) =
* Enhancement: [#606](https://github.com/insideout10/wordlift-plugin/issues/606): Batch Analysis on all posts.

= 3.14.4 (2017-08-30) =
* Fix: [#527](https://github.com/insideout10/wordlift-plugin/issues/527): Error fetching angular-animate.min.js.

= 3.14.3 (2017-08-10) =
* Enhancement: [#603](https://github.com/insideout10/wordlift-plugin/issues/603): Rebuild the relations table.

= 3.14.2 (2017-08-10) =
* Enhancement: [#601](https://github.com/insideout10/wordlift-plugin/issues/601): Improve the Batch Analysis service.

= 3.14.1 (2017-07-30) =
* Fix: [#594](https://github.com/insideout10/wordlift-plugin/issues/594): Recipes appear as Things in the classification box.
* Fix: [#593](https://github.com/insideout10/wordlift-plugin/issues/593): Recipes mentioned in posts/pages do not appear in the JSON-LD.

= 3.14.0 (2017-07-18) =
* Fix: [#582](https://github.com/insideout10/wordlift-plugin/issues/582): Empty area on Timeline w/o events.
* Fix: [#581](https://github.com/insideout10/wordlift-plugin/issues/581): Date Picker doesn't open.
* Fix: [#577](https://github.com/insideout10/wordlift-plugin/issues/577): Faceted Search posts' list doesn't show
* Fix: [#526](https://github.com/insideout10/wordlift-plugin/issues/526): Multisite network activation fails to create the entity types on newly created subsites.
* Enhancement: [#565](https://github.com/insideout10/wordlift-plugin/issues/565): Allow empty vocabulary path on compatible Permalink configuration.
* Enhancement: [#562](https://github.com/insideout10/wordlift-plugin/issues/562): Annotate archival content using my vocabulary.
* Enhancement: [#561](https://github.com/insideout10/wordlift-plugin/issues/561): Add the capability to create new entities in the vocabulary.
* Enhancement: [#551](https://github.com/insideout10/wordlift-plugin/issues/551): Make Chord compatible with AMP.
* Enhancement: [#546](https://github.com/insideout10/wordlift-plugin/issues/546): Extend the JSON-LD and allow customizations.
* Enhancement: [#536](https://github.com/insideout10/wordlift-plugin/issues/536): Hide labels that do not have associated entities in the Faceted Search Widget.
* Enhancement: [#533](https://github.com/insideout10/wordlift-plugin/issues/533): Add the schema:wordCount property to schema:Article.
* Enhancement: [#524](https://github.com/insideout10/wordlift-plugin/issues/524): Adding support for schema.org/Recipe.
* Enhancement: [#481](https://github.com/insideout10/wordlift-plugin/issues/481): Improve authors.
* Enhancement: [#468](https://github.com/insideout10/wordlift-plugin/issues/468): schema.org/WebSite markup.
* Enhancement: [#379](https://github.com/insideout10/wordlift-plugin/issues/379): Overlaps should prefer local entities.

= 3.13.3 (2017-07-12) =
* Enhancement: [#558](https://github.com/insideout10/wordlift-plugin/issues/558): Link to the settings page in the message about unset key.
* Enhancement: [#412](https://github.com/insideout10/wordlift-plugin/issues/412): Add a toggle to disable WordLift's analysis on certain pages/post.

= 3.13.2 (2017-07-09) =
* Fix: [#575](https://github.com/insideout10/wordlift-plugin/issues/575): Cron is unreliable on some web sites.
* Fix: [#576](https://github.com/insideout10/wordlift-plugin/issues/576): Error 404 on a WooCommerce Product Page.
* Fix: [#571](https://github.com/insideout10/wordlift-plugin/issues/571): Faceted Search not displaying correctly.
* Fix: [#568](https://github.com/insideout10/wordlift-plugin/issues/568): Trying to get property of non-object in class-wordlift-sharethis-service.php.

= 3.13.1 (2017-06-29) =
* Fix: [#569](https://github.com/insideout10/wordlift-plugin/issues/569): Explicitly enabling an entity link doesn't work.

= 3.13.0 (2017-06-22) =
* Feature: [#550](https://github.com/insideout10/wordlift-plugin/issues/550): Limit the number of entities.
* Fix: [#541](https://github.com/insideout10/wordlift-plugin/issues/541): AMP version of a page with a map displays a gray box.
* Feature: [#537](https://github.com/insideout10/wordlift-plugin/issues/537): Translate all labels in plugin languages in the Faceted Search Widget.
* Feature: [#534](https://github.com/insideout10/wordlift-plugin/issues/534): Inform the editor when a subscription is not active.
* Feature: [#522](https://github.com/insideout10/wordlift-plugin/issues/522): Check Widgets compatibility with AMP.
* Feature: [#513](https://github.com/insideout10/wordlift-plugin/issues/513): Synonyms in JSON-LD.
* Feature: [#485](https://github.com/insideout10/wordlift-plugin/issues/485): Add the possibility to configure NOLINK by default.
* Feature: [#477](https://github.com/insideout10/wordlift-plugin/issues/477): Preserve alternative labels when an entity is saved in the local vocabulary.
* Feature: [#330](https://github.com/insideout10/wordlift-plugin/issues/330): External Entities not recognised when adding an extra paragraph on long articles.

= 3.12.4 (2017-06-15) =
* Feature: [#563](https://github.com/insideout10/wordlift-plugin/issues/563): Allow rebuilding entities only.

= 3.12.3 (2017-06-07) =
* Fix: [#556](https://github.com/insideout10/wordlift-plugin/issues/556): SPARQL queries fail.
* Fix: [#555](https://github.com/insideout10/wordlift-plugin/issues/555): In WP backend "View Linked Data" and "Test Google Rich Snippets" buttons to be shown.
* Fix: [#554](https://github.com/insideout10/wordlift-plugin/issues/554): The WordLift's Editor is picking up old description in "Entity Description.

= 3.12.2 (2017-06-01) =
* Fix: [#549](https://github.com/insideout10/wordlift-plugin/issues/549): Make WL compatible with WP 4.8.
* Fix: [#543](https://github.com/insideout10/wordlift-plugin/issues/543): Entities not published to the Linked Data Store.
* Fix: [#528](https://github.com/insideout10/wordlift-plugin/issues/528): fsockopen loops indefinitely.

= 3.12.1 (2017-05-15) =
* Feature: [#535](https://github.com/insideout10/wordlift-plugin/issues/535): Incorrect text-annotation styles in editor.

= 3.12.0 (2017-05-03) =
* Feature: [#516](https://github.com/insideout10/wordlift-plugin/issues/516): Visual Composer tags appearing in the article's description.
* Feature: [#512](https://github.com/insideout10/wordlift-plugin/issues/512): Entity type listing page shows an "access not allowed" in wordpress versions before 4.7.
* Feature: [#511](https://github.com/insideout10/wordlift-plugin/issues/511): Add support for the about property.
* Feature: [#503](https://github.com/insideout10/wordlift-plugin/issues/503): Text domain is missing in calls to _x translation API.
* Feature: [#501](https://github.com/insideout10/wordlift-plugin/issues/501): PHP7 Compatibility Check.
* Feature: [#490](https://github.com/insideout10/wordlift-plugin/issues/490): Adding the "WordLift Entities Cloud" as shortcode.
* Feature: [#487](https://github.com/insideout10/wordlift-plugin/issues/487): Adding support for editing categories when using Quick Edit from the Vocabulary.
* Feature: [#484](https://github.com/insideout10/wordlift-plugin/issues/484): Check compatibility with WordPress Multisite configurations.
* Feature: [#457](https://github.com/insideout10/wordlift-plugin/issues/457): When the plugin is installed in a directory not named "wordlift" initializaton hook ignored.
* Feature: [#453](https://github.com/insideout10/wordlift-plugin/issues/453): Need to show alert and have recovery plan when setting/activation fail to get dataset uri.
* Feature: [#451](https://github.com/insideout10/wordlift-plugin/issues/451): Improve schema:Article markup.
* Feature: [#418](https://github.com/insideout10/wordlift-plugin/issues/418): Do not allow activating WordLift on incompatible WP's versions.
* Feature: [#403](https://github.com/insideout10/wordlift-plugin/issues/403): Adding legalName for Organization and LocalBusiness.
* Feature: [#376](https://github.com/insideout10/wordlift-plugin/issues/376): Enable revisions for entities.
* Feature: [#323](https://github.com/insideout10/wordlift-plugin/issues/323): Content dynamically posted should follow both a chronological or a relevancy order.
* Feature: [#212](https://github.com/insideout10/wordlift-plugin/issues/212): Adding support for the Accelerated Mobile Pages (AMP) on WordLift Entity Pages.

= 3.11.3 (2017-04-23) =
* Fix: [#521](https://github.com/insideout10/wordlift-plugin/issues/521): Performance Issues on Ajax End-Point.
* Fix: [#520](https://github.com/insideout10/wordlift-plugin/issues/520): Selected entities lost with IE11 and Edge.

= 3.11.2 (2017-03-19) =
* Fix: [#497](https://github.com/insideout10/wordlift-plugin/issues/497): Aggressive caching may serve old files.
* Fix: [#496](https://github.com/insideout10/wordlift-plugin/issues/496): WL highlight classes conflict with themes.
* Fix: [#495](https://github.com/insideout10/wordlift-plugin/issues/495): Additional left padding on entity tiles.

= 3.11.1 (2017-03-17) =
* Fix: [#494](https://github.com/insideout10/wordlift-plugin/issues/494): Cached Html Templates.

= 3.11.0 (2017-03-06) =
* Feature: [#489](https://github.com/insideout10/wordlift-plugin/issues/489): Revise title and description for the timeline widget.
* Feature: [#482](https://github.com/insideout10/wordlift-plugin/issues/482): Global timeline doesn't include events bound to pages.
* Feature: [#442](https://github.com/insideout10/wordlift-plugin/issues/442): Enable WordPress Category to Organise WordLift Entities.
* Feature: [#426](https://github.com/insideout10/wordlift-plugin/issues/426): Related articles needs to be limited and/or paginated.
* Feature: [#335](https://github.com/insideout10/wordlift-plugin/issues/335): Allow more actions on entity tiles within the disambiguation widget.
* Feature: [#427](https://github.com/insideout10/wordlift-plugin/issues/427): Add Publisher field to WordLift Setting page.
* Feature: [#398](https://github.com/insideout10/wordlift-plugin/issues/398): SEO improvement: providing control over title and description of WordLift Archive pages.
* Feature: [#355](https://github.com/insideout10/wordlift-plugin/issues/355): Creating a Tag-Like Widget for articles.
* Fix: [#383](https://github.com/insideout10/wordlift-plugin/issues/383): Chord - text overlapping issue.
* Fix: [#469](https://github.com/insideout10/wordlift-plugin/issues/469): Chord Rendering Problem on Firefox.
* Fix: [#464](https://github.com/insideout10/wordlift-plugin/issues/464): Extend Wordlift_Log_Service's log to support arrays.

= 3.10.0 (2017-01-30) =
* Feature: [#371](https://github.com/insideout10/wordlift-plugin/issues/371): Extending the list of properties for schema-org:Article.
* Feature: [#358](https://github.com/insideout10/wordlift-plugin/issues/358): Application Key Not Set - Messaging improvement is needed.
* Feature: [#350](https://github.com/insideout10/wordlift-plugin/issues/350): Entity Annotation Loop.
* Feature: [#345](https://github.com/insideout10/wordlift-plugin/issues/345): Entity suggested when analyzing the entity content itself.
* Feature: [#305](https://github.com/insideout10/wordlift-plugin/issues/305): Entity Types' widget should be flat.
* Feature: [#291](https://github.com/insideout10/wordlift-plugin/issues/291): The calendar for startDate and endDate of an event cannot be used for historical events.
* Feature: [#254](https://github.com/insideout10/wordlift-plugin/issues/254): Timeline visualization problem.
* Fix: [#448](https://github.com/insideout10/wordlift-plugin/issues/448): JSON-LD not loaded with WP Fastest Cache plugin.
* Fix: [#447](https://github.com/insideout10/wordlift-plugin/issues/447): Enqueue of styles and JS should be more selective and limited to content editing screens.
* Fix: [#446](https://github.com/insideout10/wordlift-plugin/issues/446): Return value of wl_schema_get_value not always check to not be null.
* Fix: [#444](https://github.com/insideout10/wordlift-plugin/issues/444): Typo on the dashboard.
* Fix: [#438](https://github.com/insideout10/wordlift-plugin/issues/438): Autocomplete fails in metaboxes.
* Fix: [#437](https://github.com/insideout10/wordlift-plugin/issues/437): Some found entities lack the related text annotation.
* Fix: [#278](https://github.com/insideout10/wordlift-plugin/issues/278): When creating a new entity the duplicate warning appears for entity that have been trashed.

= 3.9.8 (2017-01-29) =
* Fix: [#462](https://github.com/insideout10/wordlift-plugin/issues/462): Find duplicated entities.

= 3.9.7 (2017-01-26) =
* Fix: [#461](https://github.com/insideout10/wordlift-plugin/issues/461): Entities highlighted in front-end.

= 3.9.6 (2017-01-24) =
* Fix: [#443](https://github.com/insideout10/wordlift-plugin/issues/443): Chord height is fixed when global is true.
* Fix: [#383](https://github.com/insideout10/wordlift-plugin/issues/383): Chord - text overlapping issue.

= 3.9.5 (2017-01-22) =
* Fix: [#282](https://github.com/insideout10/wordlift-plugin/issues/282): Wrong entity URL.

= 3.9.4 (2017-01-12) =
* Fix: [#439](https://github.com/insideout10/wordlift-plugin/issues/439): Entity preview is redirected to a Post.

= 3.9.3 (2017-01-04) =
* Fix: [#431](https://github.com/insideout10/wordlift-plugin/issues/431): WP 4.2 yields "Call to undefined function is_subdomain_install" when saving a post.

= 3.9.2 (2017-01-01) =
* Fix: [#430](https://github.com/insideout10/wordlift-plugin/issues/430): Fix analysis selectors in WP 4.5 and lower.

= 3.9.1 (2016-12-29) =
* Feature: [#429](https://github.com/insideout10/wordlift-plugin/issues/429): German missing in supported languages' list.

= 3.9.0 (2016-12-29) =
* Feature: [#425](https://github.com/insideout10/wordlift-plugin/issues/425): Move the traslator server-side.
* Feature: [#417](https://github.com/insideout10/wordlift-plugin/issues/417): Integrate e2e tests in WordLift.
* Feature: [#408](https://github.com/insideout10/wordlift-plugin/issues/408): Remove the Caching submodule.
* Feature: [#397](https://github.com/insideout10/wordlift-plugin/issues/397): Review WordLift's setup process.
* Feature: [#395](https://github.com/insideout10/wordlift-plugin/issues/395): Author missing from entities edit pages.
* Feature: [#376](https://github.com/insideout10/wordlift-plugin/issues/376): Enable revisions for entities.
* Feature: [#349](https://github.com/insideout10/wordlift-plugin/issues/349): Remove all non supported languages from the Settings.
* Fix: [#391](https://github.com/insideout10/wordlift-plugin/issues/391): Html code messed u when using WordLift on previous posts and with Twitter embeds.
* Fix: [#353](https://github.com/insideout10/wordlift-plugin/issues/353): Responsive not working on the Vocabulary page on WordPress.
* Fix: [#341](https://github.com/insideout10/wordlift-plugin/issues/341): Special characters do not display correctly in LodLive.
* Fix: [#306](https://github.com/insideout10/wordlift-plugin/issues/306): Entities from the internal vocabulary are not properly detected from the analysis.

= 3.8.1 (2016-12-09) =
* Fix: [#415](https://github.com/insideout10/wordlift-plugin/issues/415): WordLift not working after updating to WP 4.7.
* Fix: [#410](https://github.com/insideout10/wordlift-plugin/issues/410): Triples not showing on the WordLift dashboard.
* Fix: [#406](https://github.com/insideout10/wordlift-plugin/issues/406): JSON-LD response corrupt.

= 3.8.0 (2016-11-10) =
* Feature: [#372](https://github.com/insideout10/wordlift-plugin/issues/372): The layout of the Navigator messes up with long entity titles.
* Feature: [#365](https://github.com/insideout10/wordlift-plugin/issues/365): Stop words are analyzed too.
* Feature: [#310](https://github.com/insideout10/wordlift-plugin/issues/310): Favour json-ld in place of microdata.
* Fix: [#386](https://github.com/insideout10/wordlift-plugin/issues/386): Linked data not saved.
* Fix: [#393](https://github.com/insideout10/wordlift-plugin/issues/393): JSON-LD problem with OSDS.

= 3.7.1 (2016-10-28) =
* Fix: [#382](https://github.com/insideout10/wordlift-plugin/issues/382): Analysis errors on coffee-brewing-methods.com.

= 3.7.0 (2016-10-23) =
* Fix: [#351](https://github.com/insideout10/wordlift-plugin/issues/351): Text annotations missing for found entities.
* Fix: [#363](https://github.com/insideout10/wordlift-plugin/issues/363): Synonyms associated to other entities.
* Fix: [#368](https://github.com/insideout10/wordlift-plugin/issues/368): Adding unneeded p tag for entity properties.
* Feature: [#370](https://github.com/insideout10/wordlift-plugin/issues/370): Upgrade to TimelineJS 3.x.
* Feature: [#369](https://github.com/insideout10/wordlift-plugin/issues/369): Remove the unused In-Depth file.
* Feature: [#354](https://github.com/insideout10/wordlift-plugin/issues/354): Improve the navigator Widget by adding links to the images.
* Feature: [#352](https://github.com/insideout10/wordlift-plugin/issues/352): Improve design of the TimeLine Widget.

= 3.6.0 (2016-09-25) =
* Feature: [#125](https://github.com/insideout10/wordlift-plugin/issues/125): Personalise the entity path.
* Feature: [#230](https://github.com/insideout10/wordlift-plugin/issues/230): Download your data.
* Feature: [#338](https://github.com/insideout10/wordlift-plugin/issues/338): Custom domains and dataset names
* Feature: [#339](https://github.com/insideout10/wordlift-plugin/issues/339): Improving the Import/Export of the user Vocabulary.
* Feature: [#342](https://github.com/insideout10/wordlift-plugin/issues/342): Data migration.
* Feature: [#343](https://github.com/insideout10/wordlift-plugin/issues/343): Disable Wikipedia images.
* Feature: [#346](https://github.com/insideout10/wordlift-plugin/issues/346): Add Telephone and URL properties.
* Fix: [#340](https://github.com/insideout10/wordlift-plugin/issues/340): Incompatible date widget.
* Fix: [#347](https://github.com/insideout10/wordlift-plugin/issues/347): Annotations mysteriously disappeared.
* Fix: [#346](https://github.com/insideout10/wordlift-plugin/issues/346): Double link in front-end entities.

= 3.5.4 (2016-09-07) =
* Fix: [#265](https://github.com/insideout10/wordlift-plugin/issues/265): Entity type:Person are being created before actually saving an organization's entity.
* Fix: [#336](https://github.com/insideout10/wordlift-plugin/issues/336): Navigator widget doesn't show at the end of the article unless it is also in the middle.

= 3.5.3 (2016-08-31) =
* Fix: [#262](https://github.com/insideout10/wordlift-plugin/issues/262): Posting a site URL on Google+ uses an entity title instead of the post title.
* Fix: [#329](https://github.com/insideout10/wordlift-plugin/issues/329): Allow to disambiguate more than one occurrences for the same entity in bottom / up disambiguation mode.
* Fix: [#333](https://github.com/insideout10/wordlift-plugin/issues/333): Germanic umlaut causing troubles when saving sameAs links.
* Fix: [#334](https://github.com/insideout10/wordlift-plugin/issues/334): New Entities/Thing created without the sameAs attribute are duplicated as Entities/Person.

= 3.5.2 (2016-07-16) =
* Fix: [#285](https://github.com/insideout10/wordlift-plugin/issues/285): Avoid unexpected alerts after content disambiguation.
* Fix: [#319](https://github.com/insideout10/wordlift-plugin/issues/319): Fix chord widget content filtering limit.
* Fix: [#315](https://github.com/insideout10/wordlift-plugin/issues/315): Activation on large web sites fails.

= 3.5.1 (2016-06-16) =
* Feature: [#312](https://github.com/insideout10/wordlift-plugin/issues/312): Reduce chord entities threshold to improve widget usability.

= 3.5.0 (2016-05-16) =
* Fix: [#300](https://github.com/insideout10/wordlift-plugin/issues/300): Ensure only published entities are returned as facets by faceted search widget.
* Fix: [#299](https://github.com/insideout10/wordlift-plugin/issues/299): Featured images are now properly updated on RL.
* Feature: [#295](https://github.com/insideout10/wordlift-plugin/issues/295): New UI refinements.
* Feature: [#297](https://github.com/insideout10/wordlift-plugin/issues/297): Detect classification scope from current entity type.
* Feature: [#284](https://github.com/insideout10/wordlift-plugin/issues/284): Disambiguation widget UI refactoring.
* Feature: [#289](https://github.com/insideout10/wordlift-plugin/issues/289): Introduced html static templates for angularjs layer components.
* Feature: [#288](https://github.com/insideout10/wordlift-plugin/issues/288): Removed selected entities tags from disambiguation widget.
* Feature: [#283](https://github.com/insideout10/wordlift-plugin/issues/283): Dbpedia topics are now mapped also on a custom taxonomy.
* Feature: [#229](https://github.com/insideout10/wordlift-plugin/issues/229): Add article classification.
* Feature: [#294](https://github.com/insideout10/wordlift-plugin/issues/294): Fix disambiguation failure use case.
* Feature: [#280](https://github.com/insideout10/wordlift-plugin/issues/280): Fix disambiguation failure use case.
* Feature: [#279](https://github.com/insideout10/wordlift-plugin/issues/279): Disambiguation fixed for entities with escaped chars contained in the uri.
* Feature: [#276](https://github.com/insideout10/wordlift-plugin/issues/276): Fix facets layout with entities long titles.
* Feature: [#275](https://github.com/insideout10/wordlift-plugin/issues/275): Exclude posts without featured image from navigator results.
* Feature: [#274](https://github.com/insideout10/wordlift-plugin/issues/274): Simplify facets layout grid.
* Feature: [#273](https://github.com/insideout10/wordlift-plugin/issues/273): Remove entity type icon and counter from facets within faceted search widget to simplify the layout.
* Feature: [#270](https://github.com/insideout10/wordlift-plugin/issues/270): Show wl-carousel controls on mouseover only.
* Feature: [#269](https://github.com/insideout10/wordlift-plugin/issues/269): Fix NaN in WL dashboard.
* Feature: [#268](https://github.com/insideout10/wordlift-plugin/issues/268): Flaoting configurable layout is now available both for navigator and faceted search.
* Feature: [#267](https://github.com/insideout10/wordlift-plugin/issues/267): Force override for entities with same schema type and label within disambiguation workflow.
* Feature: [#264](https://github.com/insideout10/wordlift-plugin/issues/264): Improve data selection strategy for navigation widget.
* Feature: [#253](https://github.com/insideout10/wordlift-plugin/issues/253): Introduce navigator and faceted search configuration.
* Feature: [#258](https://github.com/insideout10/wordlift-plugin/issues/258): Entity titles are now also published in the graph as dc:title.
* Feature: [#147](https://github.com/insideout10/wordlift-plugin/issues/147): Navigator widget works also on entity pages.
* Feature: [#232](https://github.com/insideout10/wordlift-plugin/issues/232): Navigator widget refactoring.
* Feature: [#224](https://github.com/insideout10/wordlift-plugin/issues/224): Enable entity partial match in autocomplete.
* Feature: [#215](https://github.com/insideout10/wordlift-plugin/issues/215): Allow to create multiple entities with same label and different entity types safely (without any overlapping).
* Feature: [#130](https://github.com/insideout10/wordlift-plugin/issues/130): Remove angularjs bower dependency. CDN is used instead.

= 3.4.0 (2016-02-12) =
* Feature: [#263](https://github.com/insideout10/wordlift-plugin/issues/263): Sorting and smart auto-limit added for entities in faceted search widget.
* Feature: [#255](https://github.com/insideout10/wordlift-plugin/issues/255): Disable entity url editing.
* Fix: [#251](https://github.com/insideout10/wordlift-plugin/issues/251): avoid entity duplication for entities with an updated label used in disambiguation.
* Fix: [#244](https://github.com/insideout10/wordlift-plugin/issues/244): Tinymce does not remain idle anymore switching between Visual and Text mode.
* Feature: [#233](https://github.com/insideout10/wordlift-plugin/issues/233): Add WordLift dashboard widget.
* Feature: [#231](https://github.com/insideout10/wordlift-plugin/issues/231): Faceted search widget is now available also for standard posts
* Feature: [#223](https://github.com/insideout10/wordlift-plugin/issues/223): Remove unavailable entity images from images suggestions.
* Feature: [#214](https://github.com/insideout10/wordlift-plugin/issues/214): Faceted search 4W revamp.
* Feature: [#180](https://github.com/insideout10/wordlift-plugin/issues/180): Enable minified js files for faceted search shortcode.
* Feature: [#115](https://github.com/insideout10/wordlift-plugin/issues/115): Filter out the current entity from the analysis results to avoid to link a given entity with itself.

= 3.3.5 (2016-02-10) =
* Fix: [#260](https://github.com/insideout10/wordlift-plugin/issues/260): Autosave disabled for entity posts to avoid unexpected entities duplication
* Fix: [#259](https://github.com/insideout10/wordlift-plugin/issues/259): Fix php notice on media library
* Fix: [#256](https://github.com/insideout10/wordlift-plugin/issues/256): Fix compatibility issue with truemag theme

= 3.3.4 (2016-02-06) =
* Fix: [#252](https://github.com/insideout10/wordlift-plugin/issues/252): Disable scrollInput on entities metaboxes datetimepickers
* Fix: [#248](https://github.com/insideout10/wordlift-plugin/issues/248): Include also LocalBusiness entities as suggestion for affiliation property for entities of type Person
* Fix: [#246](https://github.com/insideout10/wordlift-plugin/issues/246): Include also LocalBusiness entities as suggestion for location property for entities of type Event

= 3.3.3 (2016-01-17) =
* Fix: [#243](https://github.com/insideout10/wordlift-plugin/issues/243): Post status for published entities is properly preserved when used to disambiguate a post draft.

= 3.3.2 (2016-01-11) =
* Fix: [#239](https://github.com/insideout10/wordlift-plugin/issues/239): Fix disambiguation widget look & feel on WP 4.4.+
* Fix: [#237](https://github.com/insideout10/wordlift-plugin/issues/237): Fix disambiguation for internal entities sameAs of other entities
* Fix: [#234](https://github.com/insideout10/wordlift-plugin/issues/234): Fix text annotation removing for annotation containing blank html markup
* Fix: [#228](https://github.com/insideout10/wordlift-plugin/issues/228):
Flush properly rewrite rules on plugin activation to prevent 404 on entity pages
* Fix: [#227](https://github.com/insideout10/wordlift-plugin/issues/227):
Change wording for invalid or missing text selection on entity creation workflow

= 3.3.1 (2016-01-06) =
* Fix: [#225](https://github.com/insideout10/wordlift-plugin/issues/225): Return safely when get_current_screen() is not defined (yet).

= 3.3.0 (2016-01-06) =
* Feature: [#151](https://github.com/insideout10/wordlift-plugin/issues/151): Download and save Place coordinates from RL.
* Feature: [#161](https://github.com/insideout10/wordlift-plugin/issues/161): Geomap shows current entity if it is a Place (or child of Place).
* Feature: [#207](https://github.com/insideout10/wordlift-plugin/issues/207): Add rating score and consistency check for entities.
* Feature: [#209](https://github.com/insideout10/wordlift-plugin/issues/209): Add thumbnail preview within the entity listing.
* Feature: [#208](https://github.com/insideout10/wordlift-plugin/issues/208): Add classification scopes filter - aka 4W filter - within entity listing.
* Feature: [#199](https://github.com/insideout10/wordlift-plugin/issues/199) & [#101](https://github.com/insideout10/wordlift-plugin/issues/101): Improve new entity creation workflow usability within the content post editing.
* Feature: [#171](https://github.com/insideout10/wordlift-plugin/issues/171): Add related posts counter within the entity listing.
* Feature: [#121](https://github.com/insideout10/wordlift-plugin/issues/121): Improve UI consinstency
* Feature: [#140](https://github.com/insideout10/wordlift-plugin/issues/140): Add new properties for Organization

= 3.2.5 (2015-12-25) =
* Fix: [#221](https://github.com/insideout10/wordlift-plugin/issues/221): Fix de-synch between Wordpress and RedLink when disambiguation is performed trough entity alternative title

= 3.2.4 (2015-12-13) =
* Fix: [#210](https://github.com/insideout10/wordlift-plugin/issues/210): Restore editable annotations to allow annotations formatting.
* Fix: [#194](https://github.com/insideout10/wordlift-plugin/issues/194): Add zero-width no-break space after each annotation to provide a caret container.

= 3.2.3 (2015-12-08) =
* Fix: [#202](https://github.com/insideout10/wordlift-plugin/issues/202): [PrimaShop](http://www.primathemes.com/products/primashop-for-woocommerce/) users may now enjoy header settings on entity pages.

= 3.2.2 (2015-12-07) =
* Fix: [#203](https://github.com/insideout10/wordlift-plugin/issues/203): alternative titles are spreading to related entities, fixed.

= 3.2.1 (2015-12-06) =
 * Fix: [#200](https://github.com/insideout10/wordlift-plugin/issues/200): Fix new entity form visibility with undefined current annotation.
 * Fix: [#194](https://github.com/insideout10/wordlift-plugin/issues/194): Make text annotations within tinymce editor not editable.

= 3.2.0 (2015-12-04) =
 * Feature: [#196](https://github.com/insideout10/wordlift-plugin/issues/196): renovate the Vocabulary icon with WordLift logo.
 * Feature: [#195](https://github.com/insideout10/wordlift-plugin/issues/195): re-enable title duplicates notices.
 * Feature: [#185](https://github.com/insideout10/wordlift-plugin/issues/185): cleaning up, remove the entity_view submodule.
 * Feature: [#184](https://github.com/insideout10/wordlift-plugin/issues/184): for the joy of the 100,000+ active installs, we're now compatible with the [ShareThis plugin](https://wordpress.org/plugins/share-this/).
 * Feature: [#181](https://github.com/insideout10/wordlift-plugin/issues/181): finally, you can add more titles to entities.
 * Feature: [#178](https://github.com/insideout10/wordlift-plugin/issues/178): some renovation, add WordLift in the naming of the Metabox.
 * Feature: [#177](https://github.com/insideout10/wordlift-plugin/issues/177): enjoy better admin notices.
 * Feature: [#176](https://github.com/insideout10/wordlift-plugin/issues/176): cleaning up, remove the option "color coding on front-end".
 * Feature: [#175](https://github.com/insideout10/wordlift-plugin/issues/175): cleaning up, remove SPARQL queries menu item.
 * Feature: [#174](https://github.com/insideout10/wordlift-plugin/issues/174): cleaning up, remove performance analysis menu item.
 * Feature: [#173](https://github.com/insideout10/wordlift-plugin/issues/173): cleaning up, remove WordLift upper-right corner icon.
 * Feature: [#170](https://github.com/insideout10/wordlift-plugin/issues/170): disable entity editing in disambiguation widget for internal entities.
 * Feature: [#159](https://github.com/insideout10/wordlift-plugin/issues/159): enable both date and datetime fields for the metabox.
 * Feature: [#149](https://github.com/insideout10/wordlift-plugin/issues/149): add email and organization properties to Person.
 * Feature: [#143](https://github.com/insideout10/wordlift-plugin/issues/143): it is now possible to specify many additional properties for addresses.
 * Fix: [#189](https://github.com/insideout10/wordlift-plugin/issues/189): fix entity recognition when bullet points are used.
 * Fix: [#122](https://github.com/insideout10/wordlift-plugin/issues/122): fire related posts loading on disambiguation widget loading.

= 3.1.8 (2015-11-30) =
 * Fix: [#192](https://github.com/insideout10/wordlift-plugin/issues/192): fix coordinates metabox field's HTML.

= 3.1.7 (2015-11-22) =
 * Fix: [#150](https://github.com/insideout10/wordlift-plugin/issues/150): the property schema-org:author on blog post lod view goes on error.

= 3.1.6 (2015-11-21) =
 * Fix: [#124](https://github.com/insideout10/wordlift-plugin/issues/124): entity featured image updating is not properly triggered on the triple store (fix tests and apply only to published posts).

= 3.1.5 (2015-11-21) =
 * Fix: [#124](https://github.com/insideout10/wordlift-plugin/issues/124): entity featured image updating is not properly triggered on the triple store.

= 3.1.4 (2015-11-20) =
 * Fix: [#183](https://github.com/insideout10/wordlift-plugin/issues/183): new text for the admin notice regarding a missing WL key.

= 3.1.3 (2015-11-18) =
 * Fix: [#179](https://github.com/insideout10/wordlift-plugin/issues/179): faceted search not running

= 3.1.2 (2015-11-16) =
 * Fix: [#104](https://github.com/insideout10/wordlift-plugin/issues/104): cannot load more than one navigator on the same page.

= 3.1.1 (2015-11-16) =
 * Fix: [#112](https://github.com/insideout10/wordlift-plugin/issues/112): chord tooltip has white background and black font to avoid themes conflicting with the widget.

= 3.1.0 (2015-11-13) =
 * Feature: [#145](https://github.com/insideout10/wordlift-plugin/issues/145): control new entities creation from metaboxes.
 * Feature: [#134](https://github.com/insideout10/wordlift-plugin/issues/134): scripts and styles source repository merged with PHP repository.
 * Feature: [#57](https://github.com/insideout10/wordlift-plugin/issues/57): on the Edit Entity page the referencing posts has been restored.
 * Fix: [#144](https://github.com/insideout10/wordlift-plugin/issues/144): changing type on WordLift doesn't reset the property list on Redlink is now fixed.
 * Fix: [#141](https://github.com/insideout10/wordlift-plugin/issues/141): properties when published to Redlink have no links (and no meaning) is now fixed.
 * Fix: [#139](https://github.com/insideout10/wordlift-plugin/issues/139): single founder while expecting multiple founders is now fixed.
 * Fix: [#138](https://github.com/insideout10/wordlift-plugin/issues/138): Uncaught TypeError: Cannot read property 'id' of undefined is now fixed.
 * Fix: [#169](https://github.com/insideout10/wordlift-plugin/issues/169): entities that are not events may be displayed in the timeline.
 * Fix: [#168](https://github.com/insideout10/wordlift-plugin/issues/168): WordPress shortcodes are displayed in timelines.
 * Fix: [#167](https://github.com/insideout10/wordlift-plugin/issues/167): schema.org markup is wrong for implicit contents.
 * Fix: [#166](https://github.com/insideout10/wordlift-plugin/issues/166): latitude and longitude are set to zero when not specified.
 * Fix: [#165](https://github.com/insideout10/wordlift-plugin/issues/165): entity type is lost in quickedit mode.
 * Fix: [#164](https://github.com/insideout10/wordlift-plugin/issues/164): timeline widget is showing unrelated events.
 * Fix: [#163](https://github.com/insideout10/wordlift-plugin/issues/163): incorrect markup for events' locations.
 * Fix: [#162](https://github.com/insideout10/wordlift-plugin/issues/162): only dates are stored for startDate/endDate properties in linked data.

= 3.0.16 (2015-11-11) =
 * Fix: [#152](https://github.com/insideout10/wordlift-plugin/issues/152): Entity description update from disambiguation widget is now disabled in order to prevent existing entity pages content overriding.

= 3.0.15 (2015-11-10) =
 * Fix: [#135](https://github.com/insideout10/wordlift-plugin/issues/135): Sanitize filename in order to properly save entity images as entity post attachments.

= 3.0.14 (2015-11-09) =
 * Fix: [#156](https://github.com/insideout10/wordlift-plugin/issues/156): Yoast compatibility issue which caused meta values to be copied to new entities created within a post is now solved.
 * Fix: [#148](https://github.com/insideout10/wordlift-plugin/issues/148): SEO Ultimate compatibility issue which caused meta values to be copied to new entities created within a post is now solved.

= 3.0.13 (2015-10-30) =
 * Fix: [#128](https://github.com/insideout10/wordlift-plugin/issues/128): now hashes in the text do not break anymore the annotations embedding after analysis execution.
 * Fix: [#95](https://github.com/insideout10/wordlift-plugin/issues/95): WordPress image edit controls disappears after installing WordLift is now fixed.

= 3.0.12 (2015-10-23) =
 * Feature: [#85](https://github.com/insideout10/wordlift-plugin/issues/85): now structured data are added in the entity pages for the current entity itself
 * Fix: [#128](https://github.com/insideout10/wordlift-plugin/issues/128): now hashes in the text do not break anymore the annotations embedding after analysis execution
 * Fix: [#96](https://github.com/insideout10/wordlift-plugin/issues/96): garbage response from api is no more returned

= 3.0.11 (2015-10-14) =
 * Feature: 'View Linked Data' button to visualize RDF triples with [LodView](https://github.com/dvcama/LodView)

= 3.0.10 (2015-10-14) =
  * Fix [#119](https://github.com/insideout10/wordlift-plugin/issues/119). Now public entities status is properly preserved when linked to draft posts.
  * Fix: install script in order to use branch-specific WP unit tests libs

= 2.6.19 =
 * Fix: [issue 13](https://github.com/insideout10/wordlift-plugin/issues/13): authorship tagging is now shown only on single pages and posts (thanks to Kevin Polley)

= 2.6.18 =
 * Feature: Twitter authentication is now back.

= 2.6.17 =
 * Fix: change regular expression to add image itemprops for In-Depth articles to avoid conflicts with linked images and plugins such Nav Menu Images (thanks to Lee Hodson).

= 2.6.16 =
 * Fix: removed useless references to jQuery UI libraries and conflicting CSS (thanks to Lee Hodson).

= 2.6.15 =
 * Fix: PHP warning in RecordSetService (thanks to Kevin Polley),
 * Fix: image alt attributes were incorrectly highlighted with entities (thanks to Lee Hodson).

= 2.6.14 =
 * Fix: post thumbnail html output even if there's no thumbnail.
 * Fix: adding schema.org title using the_title filter could cause issues with theme that use this function for the img tag alt attribute value.
 * Feature: add support for DW Focus theme.

= 2.6.13 =
 * Fix: overlap with Facebook admin menu.

= 2.6.12 =
 * Fix: enable authorship information only for regular posts (post type 'post').

= 2.6.11 =
 * Fix: the entity page might appear in the primary menu with some themes (e.g. Twenty Thirteen).
 * Fix: the entity page called without an entity parameter would return a warning.
 * Fix: a warning might appear in the entity page.

= 2.6.10 =
 * Fix: temporary disabled twitter authentication due to API changes.

= 2.6.9 =
 * Improvement: add better support for is_single call.

= 2.6.8 =
 * Other: fix repository versioning.

= 2.6.7 =
 * Fix: html tagging in the title did cause issues when the post title is being used as an html attribute.

= 2.6.6 =
 * Other: add new keywords.

= 2.6.5 =
 * Other: add compatibility up to WordPress 3.6.

= 2.6.4 =
 * Fix: fix a bug that would cause the interaction count to show up in the page title.
 * Fix: ensure adding schema.org mark-up happens only in single post views.

= 2.6.2 =
 * Fix: fix a bug that would cause rewrite rules to be incomplete (WordPress Framework).

= 2.6.1 =
 * Feature: add option to disable *In-Depth* features.

= 2.6.0 =
 * Feature: add new *In-Depth* features.

= 2.5.33 =
 * "Registration failed: undefined (undefined)": Fixed a configuration setting that didn't allow some blogs to register to WordLift Services. (Many thanks to http://www.pruk2digital.com/ for helping us out finding this error).

= 2.5.32 =
 * Added initial compatibility with WordPress 3.6 beta 1,
 * Fix an issue that displayed entities alway for the most recent post.

= 2.5.31 =
 * Fixed a 'notice' in the WordLift Bar,
 * Changed the WordLift Bar to show entities from the most recent post in the
   home page,
 * Added HTML encoding of entity data on the WordLift Bar.

= 2.5.30 =
 * WordLift Bar stays hidden for screen width <= 320px.

= 2.5.29 =
 * WordLift Bar hides/shows automatically when the page is scrolled down.

= 2.5.28 =
 * readme updated with links to WordLift Bar samples.

= 2.5.27 =
 * Now featuring the experimental WordLift Bar.

= 2.5.26 =
 * Cloud Services address changed to use standard ports to ease WordPress installations behind firewalls or proxies.

= 2.5.7 =
 * Major release with fixes on the user registration.

= 1.6 =
 * Fixed an issue that would prevent the plug-in from working. This upgrade is strongly recommended.

= 1.5 =
 * Fixed an issue that would block the plug-in when discovering corrupted type formats.
   (NOTE: this version does not work, please upgrade to 1.6)

= 1.4 =
 * Fixed some compatibility issues with Internet Explorer.

= 1.3 =
 * Added support for WordPress 3.0.x

= 1.2 =
 * The entity elements are now hidden by default.

= 1.1 =
* Removed the requirement for a logs folder

= 1.0 =
* First public release